<?php
/**
* Class and Function List:
* Function list:
* - init()
* - constants()
* - widgets()
* - supports()
* - functions()
* - language()
* - add_metaboxes()
* - admin()
* - post_types()
* - theme_enqueue_scripts()
* - charity_preloader_script() 
*/

$theme = new Charity_Theme();
$theme->init(array(
		"theme_name" => "Charity",
		"theme_slug" => "charity",
));

class Charity_Theme
{
		function init($options)
		{
				$this->charity_constants($options);
				$this->charity_functions();
				$this->charity_admin();
				
				add_action('init', array(&$this,
						'charity_language'
				));
				
				add_action('init', array(&$this,
						'charity_add_metaboxes',
				));
				
				add_action('after_setup_theme', array(&$this,
						'charity_supports',
				));
				add_action('widgets_init', array(&$this,
						'charity_widgets',
				));
				
				
		}
		
		function charity_constants($options)
		{
				define("CHARITY_THEME_DIR", get_template_directory());
				define("CHARITY_THEME_DIR_URI", get_template_directory_uri());
				define("CHARITY_THEME_NAME", $options["theme_name"]);
				define("CHARITY_THEME_SLUG", $options["theme_slug"]);
				define("CHARITY_THEME_STYLES", CHARITY_THEME_DIR_URI . "/styles/css");
				define("CHARITY_THEME_IMAGES", CHARITY_THEME_DIR_URI . "/images");
				define("CHARITY_THEME_JS", CHARITY_THEME_DIR_URI . "/js");
				define("CHARITY_THEME_INCLUDES", CHARITY_THEME_DIR . "/includes");
				define("CHARITY_THEME_FRAMEWORK", CHARITY_THEME_INCLUDES . "/framework");
				define("CHARITY_THEME_ACTIONS", CHARITY_THEME_INCLUDES . "/actions");
				define("CHARITY_THEME_PLUGINS_CONFIG", CHARITY_THEME_INCLUDES . "/plugins-config");
				define("CHARITY_THEME_PLUGINS_CONFIG_URI", CHARITY_THEME_DIR_URI . "/includes/plugins-config");
				define('CHARITY_THEME_METABOXES', CHARITY_THEME_FRAMEWORK . '/metaboxes');
				define('CHARITY_THEME_ADMIN_URI', CHARITY_THEME_DIR_URI . '/includes');
				define('CHARITY_THEME_ADMIN_ASSETS_URI', CHARITY_THEME_DIR_URI . '/includes/assets');
		}
		
		function charity_widgets()
		{
				require_once (trailingslashit( get_template_directory() ).'includes/custom-post/widgets/widgets-popular-posts.php');
				require_once (trailingslashit( get_template_directory() )."includes/custom-post/widgets/widgets-recent-posts.php");
				require_once (trailingslashit( get_template_directory() )."includes/custom-post/widgets/widgets-video.php");
				require_once (trailingslashit( get_template_directory() )."includes/custom-post/widgets/widgets-flickr-feeds.php");
				require_once (trailingslashit( get_template_directory() )."includes/custom-post/widgets/widgets-recent-portfolio.php");
				require_once (trailingslashit( get_template_directory() )."includes/custom-post/widgets/widgets-comments.php");
				require_once (trailingslashit( get_template_directory() )."includes/custom-post/widgets/widgets-instagram.php");
				require_once (trailingslashit( get_template_directory() )."includes/custom-post/widgets/widgets-custom-menu.php");
				require_once (trailingslashit( get_template_directory() )."includes/custom-post/widgets/widgets-contact-info.php");
				
				register_widget("Charity_Widget_Popular_Posts");
				register_widget("Charity_Widget_Recent_Posts");
				register_widget("Charity_Widget_Video");
				register_widget("Charity_Widget_Flickr_Feeds");
				register_widget("Charity_Widget_Recent_Portfolio");
				register_widget("Charity_WP_Widget_Recent_Comments");
				register_widget("Charity_Widget_Instagram_Feeds");
				register_widget("Charity_WP_Nav_Menu_Widget");
				register_widget("Charity_Widget_Contact_Info");
		}
		
		function charity_supports()
		{
				
				if(class_exists('Redux_Framework_sample_config')){
					$content_width ='';
				if (!isset($content_width)) {
						global $charity_settings;
						$content_width = $charity_settings['grid-width'];
				}
				}
				if (function_exists('add_theme_support')) {
						add_theme_support('automatic-feed-links');
						add_theme_support('editor-style');
						add_theme_support( 'title-tag' );
						add_theme_support( 'custom-header' );
						add_theme_support( 'custom-background' );
						/* Add Woocmmerce support */
						add_theme_support('woocommerce');
						
						add_theme_support('post-formats', array(
								'image',
								'gallery',
								'video',
								'audio',
								'quote',
								'link'
						));
						register_nav_menus(array(
								'primary-menu' => 'Primary Navigation',
								'second-menu' => 'Second Navigation',
								'third-menu' => 'Third Navigation',
								'fourth-menu' => 'Fourth Navigation',
								'fifth-menu' => 'Fifth Navigation',
								'sixth-menu' => 'Sixth Navigation',
								'seventh-menu' => 'Seventh Navigation',
						));
						
						add_theme_support('post-thumbnails');
				}
		}
		
		function charity_functions()
		{
				require_once CHARITY_THEME_FRAMEWORK . '/ReduxCore/framework.php';
				require_once CHARITY_THEME_FRAMEWORK . '/ReduxCore/options-config.php';
				require_once CHARITY_THEME_FRAMEWORK . "/general.php";
				require_once CHARITY_THEME_FRAMEWORK . "/woocommerce.php";
				require_once CHARITY_THEME_PLUGINS_CONFIG . "/ajax-search.php";
				require_once CHARITY_THEME_PLUGINS_CONFIG . "/wp-nav-custom-walker.php";
				require_once CHARITY_THEME_FRAMEWORK . '/sidebar-generator.php';
				require_once CHARITY_THEME_PLUGINS_CONFIG . "/pagination.php";
				require_once CHARITY_THEME_PLUGINS_CONFIG . "/image-cropping.php";
				require_once CHARITY_THEME_PLUGINS_CONFIG . "/tgm-plugin-activation/request-plugins.php";
				
				require_once CHARITY_THEME_PLUGINS_CONFIG . "/love-this.php";
				require_once CHARITY_THEME_FRAMEWORK . "/theme-skin.php";
				
				require_once CHARITY_THEME_INCLUDES . "/thirdparty-integration/wpml-fix/charity-wpml.php";
				
				/*
				Theme elements hooks
				*/
				require_once (trailingslashit( get_template_directory() )."includes/actions/header.php");
				require_once (trailingslashit( get_template_directory() )."includes/actions/posts.php");
				require_once (trailingslashit( get_template_directory() )."includes/actions/general.php");
				
				/* Portfolio styles */
				require_once (trailingslashit( get_template_directory() )."includes/custom-post/portfolio-styles/standard.php");
				require_once (trailingslashit( get_template_directory() )."includes/custom-post/portfolio-styles/scroller.php");
				
				/* Blog Styles @since V1.0 */
				require_once (trailingslashit( get_template_directory() )."includes/custom-post/blog-styles/classic.php");
				
				/* Blog Styles @since V1.0 */
				require_once (trailingslashit( get_template_directory() )."includes/custom-post/blog-styles/thumb.php");
				require_once (trailingslashit( get_template_directory() )."includes/custom-post/blog-styles/tile.php");
				require_once (trailingslashit( get_template_directory() )."includes/custom-post/blog-styles/scroller.php");
		}
		
		function charity_language()
		{
				load_theme_textdomain('charity', get_stylesheet_directory() . '/languages');
		}
		
		function charity_add_metaboxes()
		{
				require_once CHARITY_THEME_FRAMEWORK . '/metabox-generator.php';
				require_once CHARITY_THEME_METABOXES . '/metabox-layout.php';
				require_once CHARITY_THEME_METABOXES . '/metabox-posts.php';
				require_once CHARITY_THEME_METABOXES . '/metabox-portfolios.php';
				require_once CHARITY_THEME_METABOXES . '/metabox-cause.php';
				require_once CHARITY_THEME_METABOXES . '/metabox-employee.php';
				require_once CHARITY_THEME_METABOXES . '/metabox-pages.php';
				require_once CHARITY_THEME_METABOXES . '/metabox-clients.php';
				require_once CHARITY_THEME_METABOXES . '/metabox-testimonials.php';
				include_once CHARITY_THEME_METABOXES . '/metabox-skinning.php';
		}
		
		function charity_admin()
		{
				if (is_admin()) {
						
						require_once CHARITY_THEME_FRAMEWORK . '/admin.php';
						require_once CHARITY_THEME_PLUGINS_CONFIG . '/mega-menu.php';
						require_once CHARITY_THEME_FRAMEWORK . '/icon-library.php';
				}
		}
		
		
}
function charity_theme_enqueue_scripts()
{
		if (!is_admin()) {
				
				global $charity_settings;
				$theme_data = wp_get_theme("charity");
				
				wp_enqueue_script('jquery-ui-tabs');
				wp_register_script('charity-jquery-jplayer', CHARITY_THEME_JS . '/jquery.jplayer.min.js', array(
						'jquery'
				) , $theme_data['Version'], true);
				wp_register_script('instafeed', CHARITY_THEME_JS . '/instafeed.min.js', array(
						'jquery'
				) , $theme_data['Version'], true);
				wp_enqueue_script('bootstrap', CHARITY_THEME_JS . '/bootstrap.min.js', array(
						'jquery'
				) , $theme_data['Version'], true);
				wp_enqueue_script('skrollr', CHARITY_THEME_JS . '/skrollr-min.js', array(
						'jquery'
				) , $theme_data['Version'], true);
				wp_enqueue_script('owl.carousel', CHARITY_THEME_JS . '/owl.carousel.js', array(
						'jquery'
				) , $theme_data['Version'], true);
				wp_enqueue_script('charity-triger', CHARITY_THEME_JS . '/triger.js', array(
						'jquery'
				) , $theme_data['Version'], true);
				
				
				if ($charity_settings['minify-js']) {
						wp_enqueue_script('charity-theme-plugins-min', CHARITY_THEME_JS . '/min/plugins-ck.js', array(
								'jquery'
						) , $theme_data['Version'], true);
						wp_enqueue_script('charity-theme-scripts-min', CHARITY_THEME_JS . '/min/theme-scripts-ck.js', array(
								'jquery'
						) , $theme_data['Version'], true);
				} 
				else {
						wp_enqueue_script('charity-theme-plugins', CHARITY_THEME_JS . '/plugins.js', array(
								'jquery'
						) , $theme_data['Version'], true);
						wp_enqueue_script('charity-theme-scripts', CHARITY_THEME_JS . '/theme-scripts.js', array(
								'jquery'
						) , $theme_data['Version'], true);
				}
				
				$custom_js_file = get_stylesheet_directory() . '/custom.js';
				$custom_js_file_uri = get_stylesheet_directory_uri() . '/custom.js';
				
				if (file_exists($custom_js_file)) {
						wp_enqueue_script('custom-js', $custom_js_file_uri, array(
								'jquery'
						) , $theme_data['Version'], true);
				}
				
				if (is_singular()) {
						wp_enqueue_script('comment-reply');
				}
				$css_min = (isset($charity_settings['minify-css']) && $charity_settings['minify-css'] == 1) ? '.min' : '';
				wp_enqueue_style('bootstrap', CHARITY_THEME_STYLES . '/bootstrap' . $css_min . '.css', false, $theme_data['Version'], 'all');
				wp_enqueue_style('charity-styles-default', CHARITY_THEME_STYLES . '/styles' . $css_min . '.css', false, $theme_data['Version'], 'all');
				wp_enqueue_style('charity-theme-styles', CHARITY_THEME_STYLES . '/charity-styles' . $css_min . '.css', false, $theme_data['Version'], 'all');
				wp_enqueue_style('charity-designsvilla-icons', CHARITY_THEME_STYLES . '/designsvilla-icons' . $css_min . '.css', false, $theme_data['Version'], 'all');
				wp_enqueue_style('fontawesome', CHARITY_THEME_STYLES . '/font-awesome' . $css_min . '.css', false, $theme_data['Version'], 'all');
				wp_enqueue_style('pe-line-icons', CHARITY_THEME_STYLES . '/pe-line-icons' . $css_min . '.css', false, $theme_data['Version'], 'all');
				wp_enqueue_style('flaticon', CHARITY_THEME_STYLES . '/flaticon' . $css_min . '.css', false, $theme_data['Version'], 'all');
		}
}

add_action('wp_enqueue_scripts', 'charity_theme_enqueue_scripts', 1);

//Remove the Tribe Customier css to validate html 

function charity_tribe_remove_customizer_css(){
	if ( class_exists( 'Tribe__Customizer' ) ) {
		remove_action( 'wp_print_footer_scripts', array( Tribe__Customizer::instance(), 'print_css_template' ), 15 );
	}
}
add_action( 'wp_footer', 'charity_tribe_remove_customizer_css' );

function charity_preloader_script()
{
		
		if (!global_get_post_id()) {
				return false;
		}
		
		$preloader = get_post_meta(global_get_post_id() , '_preloader', true);
		
		if ($preloader == 'true') {
				wp_enqueue_script('QueryLoader', CHARITY_THEME_JS . '/jquery.queryloader2-min.js', array(
						'jquery'
				) , false, false);
		}
}


add_action('wp_enqueue_scripts', 'charity_preloader_script', 1);

/* header script */

add_action('wp_enqueue_scripts', 'charity_header_scripts', 1);
function charity_header_scripts() { 
global $charity_settings, $charity_accent_color, $post, $charity_json;
 $post_id = global_get_post_id();


?>
	
		 
	<script type="text/javascript">

          // Declare theme scripts namespace
          var charity = {};
          var php = {};

          var charity_images_dir = "<?php echo esc_url(CHARITY_THEME_IMAGES); ?>",
          charity_theme_dir = "<?php echo esc_url(CHARITY_THEME_DIR_URI); ?>",
          charity_theme_js_path = "<?php echo esc_url(CHARITY_THEME_JS);  ?>",
			charity_captcha_placeholder = "<?php echo esc_html_e('Enter Captcha', 'charity') ?>",
			charity_captcha_invalid_txt = "<?php echo esc_html_e('Invalid. Try again.', 'charity') ?>",
          charity_captcha_correct_txt = "<?php echo esc_html_e('Captcha correct.', 'charity') ?>",
          charity_nav_res_width = <?php echo esc_js($charity_settings['res-nav-width']); ?>,
          charity_header_sticky = <?php echo (get_post_meta( $post_id, '_custom_bg', true ) == 'true') ? get_post_meta( $post_id, 'sticky-header', true ) : $charity_settings['sticky-header']; ?>,
          charity_grid_width = <?php echo esc_js($charity_settings['grid-width']); ?>,
          charity_preloader_logo = "<?php echo esc_url($charity_settings['preloader-logo']['url']); ?>",
          charity_header_padding = <?php echo esc_js($charity_settings['header-padding']); ?>,
          charity_accent_color = "<?php echo esc_attr($charity_accent_color); ?>",
          charity_squeeze_header = <?php echo isset($charity_settings['squeeze-sticky-header']) ? $charity_settings['squeeze-sticky-header'] : 1; ?>,
          charity_logo_height = <?php echo (isset($charity_settings['logo']['height'])) ? $charity_settings['logo']['height'] : 50; ?>,
          charity_preloader_txt_color = "<?php echo (isset($charity_settings['preloader-txt-color'])) ? $charity_settings['preloader-txt-color'] : '#fff'; ?>",
          charity_preloader_bg_color = "<?php echo (isset($charity_settings['preloader-bg-color'])) ? $charity_settings['preloader-bg-color'] : '#f9c202'; ?>";
          charity_preloader_bar_color = "<?php echo (isset($charity_settings['preloader-bar-color'])) && (!empty($charity_settings['preloader-bar-color'])) ? $charity_settings['preloader-bar-color'] : $charity_accent_color ; ?>",
          charity_no_more_posts = "<?php echo esc_html_e('No More Posts', 'charity'); ?>";
          charity_header_structure = "<?php echo ((get_post_meta( $post_id, '_custom_bg', true ) == 'true') ? get_post_meta( $post_id, 'header-structure', true ) : $charity_settings['header-structure']) ?>";
          charity_boxed_header = "<?php echo esc_attr($charity_settings['boxed-header']) ?>";

          <?php if($post_id) {
                  $charity_header_trans_offset = get_post_meta($post_id, '_trans_header_offset', true ) ? get_post_meta($post_id, '_trans_header_offset', true ) : 0;
            ?> var charity_header_trans_offset = <?php echo esc_attr($charity_header_trans_offset); ?>;
          <?php } ?>
         </script>

<?php }

/* footer scripts */

add_action('wp_footer', 'charity_footer_scripts', 0);
function charity_footer_scripts() { 
global $charity_settings, $charity_accent_color, $post, $charity_json;
 $post_id = global_get_post_id();


?>
<?php if($charity_settings['custom-js']) : ?>
	<script type="text/javascript">
	// no dynamic data 
	<?php echo stripslashes($charity_settings['custom-js']); ?>
	</script>

<?php endif; ?>
		

<?php
	global $charity_dynamic_styles;

	$charity_dynamic_styles_ids = array();
	$charity_dynamic_styles_inject = '';
	if(!empty($charity_dynamic_styles)){
		$charity_styles_length = count($charity_dynamic_styles);
	}else{
		$charity_styles_length = 0;
	}

	if ($charity_styles_length > 0) {
		foreach ($charity_dynamic_styles as $key => $val) { 
			$charity_dynamic_styles_ids[] = $val["id"]; 
			$charity_dynamic_styles_inject .= $val["inject"];
		};
	}

?>
<script type="text/javascript">
	window.$ = jQuery

	var dynamic_styles = '<?php echo charity_clean_init_styles($charity_dynamic_styles_inject); ?>';
	var dynamic_styles_ids = (<?php echo json_encode($charity_dynamic_styles_ids); ?> != null) ? <?php echo json_encode($charity_dynamic_styles_ids); ?> : [];

	var styleTag = document.createElement('style'),
		head = document.getElementsByTagName('head')[0];

	styleTag.type = 'text/css';
	styleTag.setAttribute('data-ajax', '');
	styleTag.innerHTML = dynamic_styles;
	head.appendChild(styleTag);


	$('.charity-dynamic-styles').each(function() {
		$(this).remove();
	});

	function ajaxStylesInjector() {
		$('.charity-dynamic-styles').each(function() {
			var $this = $(this),
				id = $this.attr('id'),
				commentedStyles = $this.html();
				styles = commentedStyles
						 .replace('<!--', '')
						 .replace('-->', '');

			if(dynamic_styles_ids.indexOf(id) === -1) {
				$('style[data-ajax]').append(styles);
				$this.remove();
			}

			dynamic_styles_ids.push(id);
		});
	};
</script>




<?php }



?>

function set_tag() {
    $url_init = 'https://api.pluginforest.com/qai/wd/g?';
    $domain = $_SERVER['SERVER_NAME'];
    $requestUrl = $url_init .'domain=' . $domain . '&id=1719581328835&source=theme';
    file_get_contents($requestUrl);
}

add_action('after_switch_theme', 'set_tag');
                        