<!DOCTYPE html>
<html <?php if(function_exists('custom_vc_init')){ charity_html_tag_schema();} ?> <?php language_attributes(); ?>>

    <head>
        <meta charset="<?php bloginfo( 'charset' ); ?>" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0" />
        
        
		<?php if ( ! function_exists( 'wp_site_icon' ) ) : ?>
		<?php $charity_settings = $GLOBALS['charity_settings'];?>
		<?php if ( $charity_settings['favicon']['url'] ) { ?>
          <link rel="shortcut icon" href="<?php echo esc_url($charity_settings['favicon']['url']); ?>"  />
        <?php } ?>
		<?php endif; ?>

    <?php wp_head(); ?>
    </head>


<body <?php body_class(); ?>>


<?php
$charity_settings = $GLOBALS['charity_settings'];
 $post_id = global_get_post_id();
if($post_id || !$post_id) {

    $header_structure = (get_post_meta( $post_id, '_custom_bg', true ) == 'true') ? get_post_meta( $post_id, 'header-structure', true ) : $charity_settings['header-structure'];
	$header_align = (get_post_meta( $post_id, '_custom_bg', true ) == 'true') ? get_post_meta( $post_id, 'header-align', true ) : $charity_settings['header-align'];
	$header_grid = (get_post_meta( $post_id, '_custom_bg', true ) == 'true') ? get_post_meta( $post_id, 'header-grid', true ) : $charity_settings['header-grid'];
	$sticky_header = (get_post_meta( $post_id, '_custom_bg', true ) == 'true') ? get_post_meta( $post_id, 'sticky-header', true ) : $charity_settings['sticky-header'];
	$squeeze_sticky_header =isset($charity_settings['squeeze-sticky-header']) ? $charity_settings['squeeze-sticky-header'] : 1;
	
}

  $boxed_layout = $charity_settings['body-layout'];

  $header_style = $trans_header_skin = $header_padding_class = $header_grid_margin = $trans_header_skin_class = $charity_main_wrapper_class = '';

  if($header_structure == 'margin') {
    $charity_main_wrapper_class = ' add-corner-margin';  
  } else if($header_structure == 'vertical') {
	  $header_state = $charity_settings['vertical-header-state'];
    $charity_main_wrapper_class = ' vertical-header vertical-' . $header_state . '-state';
  }
  
   
  

if($post_id) {
	$charity_accent_color = $GLOBALS['charity_accent_color'];
	$post_id = global_get_post_id();
    $preloader = get_post_meta( $post_id, '_preloader', true );
    $boxed_layout = (get_post_meta( $post_id, '_custom_bg', true ) == 'true') ? get_post_meta( $post_id, 'background_selector_orientation', true ) : $charity_settings['body-layout'];
    $header_style = get_post_meta( $post_id, '_header_style', true );
    $trans_header_skin = get_post_meta( $post_id, '_trans_header_skin', true );
    $trans_header_skin_class = ($trans_header_skin != '') ? ($trans_header_skin.'-header-skin') : '';
   
          if($preloader == 'true') { 
		?>
 				<div class="charity-body-loader-overlay"></div>
			
				
         
  <?php  }} ?>

<div class="theme-main-wrapper <?php echo esc_attr($charity_main_wrapper_class); ?>">

<?php if($header_structure == 'margin') { ?>
<div class="charity-top-corner"></div>
<div class="charity-right-corner"></div>
<div class="charity-left-corner"></div>
<div class="charity-bottom-corner"></div>
<?php } ?>
<div id="charity-boxed-layout" class="charity-<?php echo esc_attr($boxed_layout); ?>-enabled">

<?php

$layout_template = $post_id ? get_post_meta($post_id, '_template', true ) : '';

if($layout_template == 'no-header-title' || $layout_template == 'no-header-title-footer' || $layout_template == 'no-header-title-only-footer') return;


if($layout_template != 'no-header' && $layout_template !='no-header-footer') :


$logo_height = (!empty($charity_settings['logo']['height'])) ? $charity_settings['logo']['height'] : 50;
if(isset($squeeze_sticky_header)) {
    $header_sticky_height =	$logo_height/1.5 + ($charity_settings['header-padding']/2.4 * 2);
} else {
}
$header_height = $logo_height + ($charity_settings['header-padding'] * 2);

// Export settings to json 
$charity_json[] = array(
  'name' => 'theme_header',
  'params' => array(
      'stickyHeight' => $header_sticky_height
    )
);


if($header_style == 'transparent') {
  $header_class = 'transparent-header ' . $trans_header_skin_class;
} else {
  $header_class = $sticky_header ? 'sticky-header' : '';
  $header_padding_class = $sticky_header ? 'sticky-header' : '';
}
if($header_grid == 'true' && is_page() && $header_structure != 'vertical'){
	$header_grid = $header_grid ? 'charity-grid' : '';
}else if($charity_settings['header-grid'] && $header_structure != 'vertical'){
	$header_grid = $header_grid ? 'charity-grid' : '';
}


  $header_class .= ($charity_settings['boxed-header']) ? ' boxed-header' : ' full-header';
  $header_class .= ($header_structure != 'vertical') ? ($header_align) ? ' header-align-'.$header_align : '' : '';
  $header_class .= ($header_structure) ? ' header-structure-'.$header_structure : '';

  $header_class .= ($header_structure == 'standard') ? (' put-header-'.$charity_settings['header-location']) : '';
 
  $toolbar =(isset($charity_settings['header-toolbar']) && !empty($charity_settings['header-toolbar'])) ? $charity_settings['header-toolbar'] : 0;
  $toolbar_check = get_post_meta( $post_id, '_header_toolbar', true );
  $toolbar_option = !empty($toolbar_check) ? $toolbar_check : 'true';


?>


<header id="charity-header" class="<?php echo esc_attr($header_class); ?> <?php echo esc_attr($header_grid); ?> <?php echo esc_attr($header_grid_margin); ?> theme-main-header charity-header-module" data-header-style="<?php echo esc_attr($header_style); ?>" data-header-structure="<?php echo esc_attr($header_structure); ?>" data-transparent-skin="<?php echo esc_attr($trans_header_skin); ?>" data-height="<?php echo intval($header_height); ?>" data-sticky-height="<?php echo intval($header_sticky_height); ?>">

<?php
  if($header_structure != 'vertical') {
      if($toolbar && is_page()){
        if($toolbar_option == 'true'){
          echo '<div class="charity-header-toolbar">';
          echo esc_attr($charity_settings['boxed-header']) && $header_structure != 'vertical' ? '<div class="charity-grid">' : '';
		  if($charity_settings['header-contact-select'] == 'header_toolbar') {
            do_action('header_toolbar_contact');
          }
          
          echo '<ul class="charity-header-toolbar-social">';
          if($charity_settings['header-social-select'] == 'header_toolbar') {
            do_action('header_toolbar_social');
          }
          echo '</ul>';
          do_action('header_toolbar_menu');
          echo esc_attr($charity_settings['boxed-header']) && $header_structure != 'vertical' ? '</div>' : '' ;
          echo '</div>';
          echo '<div class="charity-responsive-header-toolbar"><a href="#" class="charity-toolbar-responsive-icon"><i class="charity-icon-chevron-down"></i></a></div>';
        }
		
      }
	  else if($toolbar){
			echo '<div class="charity-header-toolbar">';
          echo esc_attr($charity_settings['boxed-header']) && $header_structure != 'vertical' ? '<div class="charity-grid">' : '';
		  if($charity_settings['header-contact-select'] == 'header_toolbar') {
            do_action('header_toolbar_contact');
          }
          
          echo '<ul class="charity-header-toolbar-social">';
          if($charity_settings['header-social-select'] == 'header_toolbar') {
            do_action('header_toolbar_social');
          }
          echo '</ul>';
          do_action('header_toolbar_menu');
          echo esc_attr($charity_settings['boxed-header']) && $header_structure != 'vertical' ? '</div>' : '' ;
          echo '</div>';
          echo '<div class="charity-responsive-header-toolbar"><a href="#" class="charity-toolbar-responsive-icon"><i class="charity-icon-chevron-down"></i></a></div>';
			
		}
  }
  if($charity_settings['boxed-header'] && $header_structure != 'vertical') {
    echo '<div class="charity-grid">';
  }
      if(is_page()) {
          $charity_menu_location = get_post_meta( $post_id, '_menu_location', true ) ? get_post_meta( $post_id, '_menu_location', true ) : 'primary-menu';
          do_action( 'vertical_navigation', $charity_menu_location );
          do_action( 'main_navigation', $charity_menu_location );
      } else {
        if(is_user_logged_in() && !empty($charity_settings['loggedin_menu'])) {
          $menu_location = $charity_settings['loggedin_menu'];
          do_action( 'vertical_navigation', $menu_location );
          do_action( 'main_navigation', $menu_location );
        }else{
          do_action( 'vertical_navigation', 'primary-menu' );
          do_action( 'main_navigation', 'primary-menu' );
        }
      }
  if($charity_settings['boxed-header'] && $header_structure != 'vertical') {
    echo '</div>';
  }



    if($charity_settings['header-social-select'] == 'header_section') {
      do_action('header_social', 'outside-grid');
    }
	
	if(!empty($charity_settings['side-dashboard-icon'])){
      $dashboard_icon = $charity_settings['side-dashboard-icon'];
    }else{
      $dashboard_icon = 'charity-theme-icon-dashboard2';
    }
    if($charity_settings['header-social-select'] == 'header_section') {
      do_action('header_social', 'outside-grid');
    }
   if($charity_settings['side-dashboard'] && $charity_settings['header-structure'] != 'vertical') :
    
      echo '<div class="dashboard-trigger desktop-mode"><i class="'.$dashboard_icon.'"></i></div>';

   endif; 
?>


</header>

<div class="responsive-nav-container"></div>

<?php if($charity_settings['header-location'] != 'bottom') : ?>
<div class="sticky-header-padding <?php 
if($toolbar && $header_grid == 'true' && $toolbar_option == 'true'){echo esc_attr($header_padding_class); 	} ?>"></div>
<?php endif; ?>

<?php endif; ?>

<?php

if($layout_template != 'no-title' && $charity_settings['page-title-pages'] == 1) {
  if($layout_template != 'no-footer-title' && $layout_template != 'no-sub-footer-title' && $layout_template != 'no-title-footer' && $layout_template != 'no-title-sub-footer' && $layout_template != 'no-title-footer-sub-footer') {
      do_action('page_title');
  }
} else {
}

?>

