<?php
/**
 *
 * @author  Muhammad Asif
 * @copyright Copyright (c) Muhammad Asif
 * @link  http://designsvilla.net
 * @since  Version 2.0
 * @package  DV Framework
 */


add_action('blog_related_posts', 'charity_blog_related_posts');
add_action('causes_related_posts', 'charity_causes_related_posts');
add_action('portfolio_related_posts', 'charity_portfolio_related_posts');





if ( !function_exists( 'charity_blog_related_posts' ) ) {
	function charity_blog_related_posts( $layout ) {
		global $post, $charity_settings;

		if($charity_settings['blog-single-related-posts'] == 0 ) return;

		$output = '';
		$width = 259;
		$height = 161;

		if ( $layout == 'full' ) {
			$showposts = 4;
			$column_css = 'four-column';
		} else {
			$showposts = 3;
			$column_css = 'three-column';
		}

		$related = charity_get_related_posts( $post->ID, $showposts, true );
		if ( $related->have_posts() ) {
				$output .= '<section class="blog-similar-posts">';

				$output .=  '<div class="single-post-fancy-title"><span>'.esc_html__( 'Related Posts', 'charity' ).'</span></div>';

				$output .= '<ul class="'.$column_css.'">';
				while ( $related->have_posts() ) {
					$related->the_post();
					$post_type = get_post_format( get_the_id()) ? get_post_format( get_the_id()) : 'image';
					$output .= '<li><div class="item-holder">';
					$output .= '<a class="charity-similiar-thumbnail" href="' . get_permalink() . '" title="' . get_the_title() . '">';
					if ( has_post_thumbnail() ) {
						$image_src_array = wp_get_attachment_image_src( get_post_thumbnail_id(), 'full', true );
						$image_src = bfi_thumb( $image_src_array[ 0 ], array('width' => $width, 'height' => $height, 'crop'=>true));
						$output .= '<img width="'.$width.'" height="'.$height.'" src="' .charity_thumbnail_image_gen($image_src, $width, $height) . '" alt="' . get_the_title() . '" />';
					}

					$output .= '<i class="charity-icon-plus post-hover-icon"></i><div class="hover-overlay"></div></a>';
					$output .= '<a href="'.get_permalink().'" class="charity-similiar-title">'.get_the_title().'</a>';

					$output .= '</div></li>';

				}
				$output .= '</ul>';
				$output .= '<div class="clearboth"></div></section>';
			}
		wp_reset_postdata();
		echo '<div>'.$output.'</div>';
	}
	/*-----------------*/
}

if ( !function_exists( 'charity_causes_related_posts' ) ) {
	function charity_causes_related_posts($layout) {
		global $charity_settings,
		$post;
		$output = '';
		$width = 550;
		$height = 550;

		if ( $layout == 'full' ) {
			$showposts = 4;
			$column_css = 'four-column';
		} else {
			$showposts = 3;
			$column_css = 'three-column';
		}

		 $related = charity_get_related_causes( $post->ID,$showposts);
$scroll = 'true';
		 if ($scroll == 'true') {
        $scroll_stuff = array(
            'owl-content-wrap',
            '',
            'cause-',
            'owl-content'
        );
    }

if ( $related->have_posts() ) {
	$id     = uniqid();
    $output .= '<div id="causes-' . $id . '" class="charity-causes ' . $scroll_stuff[0] . ' grid-style "' . $scroll_stuff[1] . '><div class="owl-carousel" data-items="2" data-items-tab-ls="3" data-items-tab="2" data-autoplay="true" data-gutter="30" data-autoplay-speed="1000" data-delay="300" data-loop="true" data-nav="false">';

    while ($related->have_posts()):
        $related->the_post();
		$dimension = 370;
		$dimensionh = 250;
        $image_src_array = wp_get_attachment_image_src(get_post_thumbnail_id(), 'full', true);
        $image_src       = bfi_thumb($image_src_array[0], array(
			'width' =>$dimension,
            'height' => $dimensionh,
            'crop' => true
        ));
		$style = 'grid';
        $output .= $style == 'grid' ? '<div class="item">' : '<div class="">';
        $output .= '<div class="cause-item-inner">';
		$output .= '<div class="cause-item-figure">';
		$output .= '<img alt="' . get_the_title() . '" style="width:100%;" title="' . get_the_title() . '" src="' . charity_thumbnail_image_gen($image_src, $dimension, $dimensionh) . '" />';
		
		$output .= '</div>';

        $output .= '<div class="cause-content-wrapper"><div class="cause-content-inner clearfix">';
        $output .= '<h5 class="cause-title"><a href="'. get_permalink() .'">' . get_the_title() . '</a></h5>';
		
		
		$campaigns =get_post_meta(get_the_ID(), '_campaign', true);
		$campaign= $campaigns;
		if (!empty($campaigns) && function_exists('migla_draw_progress_bar') && function_exists('migla_text_progressbar') ) {
		$output .= '<span class="cause-campaign">'. do_shortcode('[totaldonations-progress-bar campaign="'.$campaign.'" button="yes" button_text="Donate Now"]') .'</span>';
        }
		$description = 'true';
		if ($description == 'true') {
            ob_start();
				the_excerpt_max_charlength(150);
            $output .= '<span class="cause-desc">'. ob_get_clean() .'</span>';
        }
		$output .= '</div></div></div></div>';
    endwhile;
}
    wp_reset_postdata();

    $output .= '</div></div>';

echo '<div>'.$output.'</div>';
	}
}






if ( !function_exists( 'charity_portfolio_related_posts' ) ) {
	function charity_portfolio_related_posts($layout) {
		global $charity_settings,
		$post;
		$output = '';
		$width = 550;
		$height = 550;

		if ( $layout == 'full' ) {
			$showposts = 4;
			$column_css = 'four-column';
		} else {
			$showposts = 3;
			$column_css = 'three-column';
		}

		 $related = charity_get_related_portfolio( $post->ID,$showposts);

		 $related_project = get_post_meta( get_the_ID(), '_portfolio_related_project', true );

		 if($related_project != 'true' && $related_project != '' ) return false;
			if ( $related->have_posts() ) {

				$output .= '<section class="portfolio-similar-posts">';
				$output .= '<ul class="'.$column_css.'">';
				while ( $related->have_posts() ) {
					global $post;
					$related->the_post();
					if ( has_post_thumbnail() ) {
						$output .= '<li class="charity-portfolio-item">';

						$link_to = get_post_meta( get_the_ID(), '_portfolio_permalink', true );
						$permalink  = '';
						if ( !empty( $link_to ) ) {
							$link_array = explode( '||', $link_to );
							switch ( $link_array[ 0 ] ) {
							case 'page':
								$permalink = get_page_link( $link_array[ 1 ] );
								break;
							case 'cat':
								$permalink = get_category_link( $link_array[ 1 ] );
								break;
							case 'portfolio':
								$permalink = get_permalink( $link_array[ 1 ] );
								break;
							case 'post':
								$permalink = get_permalink( $link_array[ 1 ] );
								break;
							case 'manually':
								$permalink = $link_array[ 1 ];
								break;
							}
						}

						if ( empty( $permalink ) ) {
							$permalink = get_permalink();
						}


						$image_src_array = wp_get_attachment_image_src( get_post_thumbnail_id(), 'full', true );
						$image_src = bfi_thumb( $image_src_array[ 0 ], array('width' => $width, 'height' => $height, 'crop'=>true));
						$output .= '<div class="item-holder">';

						$output .='<div class="featured-image" onClick="return true">';
						$output .='<img width="'.$width.'" height="'.$height.'" alt="'.get_the_title().'" title="'.get_the_title().'" src="'.charity_thumbnail_image_gen($image_src, $width, $height).'"  />';
						$output .='<div class="hover-overlay"></div>';
						$output .='<div class="portfolio-meta">';
						$output .='<a href="'.$image_src_array[ 0 ].'" title="'.get_the_title().'" rel="portfolio-loop" class="charity-lightbox portfolio-plus-icon"><i class="charity-theme-icon-plus"></i></a>';
						$output .='<div class="the-title">'.get_the_title().'</div><div class="clearboth"></div>';
						$output .='<div class="portfolio-cats">'. implode( ', ', charity_get_portfolio_tax($post->ID, false) ) .'</div>';
						$output .='<a class="portfolio-permalink" href="'.$permalink.'"><i class="charity-theme-icon-next-big"></i></a>';
						$output .='</div>';

						$output .= '</div></li>';
					}
				}
				$output .= '</ul>';
				$output .= '<div class="clearboth"></div></section>';
			}


		wp_reset_postdata();
		echo '<div>'.$output.'</div>';
	}
}
	/*-----------------*/
