<?php
$config  = array(
    'title' => sprintf('%s Page Options', CHARITY_THEME_NAME),
    'id' => 'charity-page-metabox',
    'pages' => array(
        'page'
    ),
    'callback' => '',
    'context' => 'normal',
    'priority' => 'core'
);
$options = array(
    array(
        "name" => esc_html__("Page Elements", "charity"),
        "subtitle" => esc_html__("", "charity"),
        "desc" => esc_html__("Depending on your need you can change this page's general layout", "charity"),
        "id" => "_template",
        "default" => 'pagetitle-on',
        "placeholder" => 'true',
        "width" => 400,
        "options" => array(
          //"no-header" => esc_html__('Remove Header', "charity"),
          "no-title" => esc_html__('No Page Title', "charity"),
		  "pagetitle-on" => esc_html__('Page Title on', "charity"),
         // "no-header-title" => esc_html__('Remove Header & Page Title', "charity"),
         // "no-title-footer" => esc_html__('Remove Page Title & Footer', "charity"),
         // "no-title-sub-footer" => esc_html__('Remove Page Title & Sub Footer', "charity"),
         // "no-title-footer-sub-footer" => esc_html__('Remove Page Title & Footer & Sub Footer', "charity"),
         // "no-footer-only" => esc_html__('Remove Footer', "charity"),
         // "no-sub-footer" => esc_html__('Remove Sub Footer', "charity"),
         // "no-footer" => esc_html__('Remove Footer & Sub Footer', "charity"),
         // "no-footer-title" => esc_html__('Remove Footer & Page Title', "charity"),
         // "no-sub-footer-title" => esc_html__('Remove Footer & Sub Footer & Page Title', "charity"),
         // "no-header-footer" => esc_html__('Remove Header & Footer & Sub Footer', "charity"),
         // "no-header-title-only-footer" => esc_html__('Remove Header & Page Title & Footer', "charity"),
         // "no-header-title-footer" => esc_html__('Remove Header & Page Title & Footer & Sub Footer', "charity")
        ),
        "type" => "select"
    ),

   array(
        "name" => esc_html__("Stick Template?", "charity"),
        "subtitle" => esc_html__("If enabled this option page will have no padding after header and before footer.", "charity"),
        "desc" => esc_html__("Use this option if you need to use header slideshow or use a callout box before footer.", "charity"),
        "id" => "_padding",
        "default" => 'true',
        "type" => "toggle"
    ),
    array(
        "name" => esc_html__("Header Toolbar?", "charity"),
        "subtitle" => esc_html__("", "charity"),
        "desc" => esc_html__("", "charity"),
        "id" => "_header_toolbar",
        "default" => 'true',
        "type" => "toggle"
    ),
    array(
        "name" => esc_html__("Breadcrumb", "charity"),
        "subtitle" => esc_html__("If you dont want to show breadcrumb disable this option.", "charity"),
        "desc" => esc_html__("Breadcrumb is useful for SEO purposes and helps your site visitors to know where exactly they are relative to your sitemap from homepage. So its also good for UX.", "charity"),
        "id" => "_breadcrumb",
        "default" => 'false',
        "type" => "toggle"
    ),
    array(
        "name" => esc_html__("Page Pre-loader", "charity"),
        "subtitle" => esc_html__("adds a preloading overlay until the page is ready to be viewed.", "charity"),
        "desc" => esc_html__("Please use this option when your have alot of images, slideshows and content.", "charity"),
        "id" => "_preloader",
        "default" => 'false',
        "type" => "toggle"
    ),
    array(
        "name" => esc_html__("Header Style", "charity"),
        "subtitle" => esc_html__("Defines how header appear in top.", "charity"),
        "desc" => esc_html__("", "charity"),
        "id" => "_header_style",
        "default" => 'block',
        "placeholder" => 'true',
        "width" => 400,
        "options" => array(
            "block" => esc_html__('Block module', "charity"),
            "transparent" => esc_html__('Transparent Layer', "charity")
        ),
        "type" => "select"
    ),
    array(
        "name" => esc_html__("Transparent Header Style Skin", "charity"),
        "subtitle" => esc_html__("", "charity"),
        "desc" => esc_html__("", "charity"),
        "id" => "_trans_header_skin",
        "default" => 'light',
        "placeholder" => 'false',
        "width" => 400,
        "options" => array(
            "light" => esc_html__('Light', "charity"),
            "dark" => esc_html__('Dark', "charity")
        ),
        "type" => "select"
    ),
    array(
        "name" => esc_html__("Transparent Header Style Sticky Scroll Offset", "charity"),
        "subtitle" => esc_html__("", "charity"),
        "desc" => esc_html__("zero means window height which is relative to the device screen height. any value bigger than 0 will set the sticky header to user defined value.", "charity"),
        "id" => "_trans_header_offset",
        "default" => "1",
        "min" => "0",
        "max" => "5000",
        "step" => "1",
        "unit" => 'px',
        "type" => "range"
    ),
    array(
        "name" => esc_html__("Main Navigation Location", "charity"),
        "subtitle" => esc_html__("Choose which menu location to be used in this page.", "charity"),
        "desc" => esc_html__("If left blank, Primary Menu will be used. You should first create menu and then assign to menu locations  by goining to appearence -> menu", "charity"),
        "id" => "_menu_location",
        "default" => '',
        "placeholder" => 'true',
        "width" => 400,
        "options" => array(
            "primary-menu" => esc_html__('Primary Navigation', "charity"),
            "second-menu" => esc_html__('Second Navigation', "charity"),
            "third-menu" => esc_html__('Third Navigation', "charity"),
            "fourth-menu" => esc_html__('Fourth Navigation', "charity"),
            "fifth-menu" => esc_html__('Fifth Navigation', "charity"),
            "sixth-menu" => esc_html__('Sixth Navigation', "charity"),
            "seventh-menu" => esc_html__('Seventh Navigation', "charity")
        ),
        "type" => "select"
    ),
   /* array(
        "name" => esc_html__("Quick Contact", "charity"),
        "subtitle" => esc_html__("You can enable or disable Quick Contact Form using this option.", "charity"),
        "desc" => esc_html__("", "charity"),
        "id" => "_quick_contact",
        "default" => 'global',
        "placeholder" => 'true',
        "width" => 400,
        "options" => array(
            "global" => esc_html__('Override from Theme Settings', "charity"),
            "enabled" => esc_html__('Enabled', "charity"),
            "disabled" => esc_html__('Disabled', "charity"),
        ),
        "type" => "select"
    ),
    array(
        "name" => esc_html__("Quick Contact Skin", "charity"),
        "subtitle" => esc_html__("", "charity"),
        "desc" => esc_html__("", "charity"),
        "id" => "_quick_contact_skin",
        "default" => 'dark',
        "placeholder" => 'false',
        "width" => 400,
        "options" => array(
            "light" => esc_html__('Light', "charity"),
            "dark" => esc_html__('Dark', "charity")
        ),
        "type" => "select"
    ),*/
  
);
new charity_metaboxesGenerator($config, $options);
