<?php

/*
 *
 * Contains all the dynamic css rules generated based on theme settings.
 *
 */

function charity_dynamic_css() {

	wp_enqueue_style('charity-style', get_stylesheet_uri(), false, false, 'all');

	global $charity_settings;

	$output = $typekit_fonts_1 = $attach = $custom_breadcrumb_page = $custom_breadcrumb_hover_color = $custom_breadcrumb_color = '';

/* Get skin color from global $_GET for skin switcher panel */
	if (isset($_GET['skin'])) {
		$accent_color = '#' . $_GET['skin'];
		$charity_settings['footer-link-color']['hover'] = '#' . $_GET['skin'];
		$charity_settings['dashboard-link-color']['hover'] = '#' . $_GET['skin'];
		$charity_settings['sidebar-link-color']['hover'] = '#' . $_GET['skin'];
		$charity_settings['link-color']['hover'] = '#' . $_GET['skin'];
		$charity_settings['footer-social-color']['hover'] = '#' . $_GET['skin'];
		$charity_settings['main-nav-top-color']['hover'] = '#' . $_GET['skin'];
		$charity_settings['main-nav-sub-color']['bg-hover'] = '#' . $_GET['skin'];
		$charity_settings['main-nav-sub-color']['bg-active'] = '#' . $_GET['skin'];

	} else {
		$accent_color = $charity_settings['accent-color'];
	}
	$accent_color2 = $charity_settings['accent-color2'];
/**
 * Typekit fonts
 * */

	$typekit_id = isset($charity_settings['typekit-id']) ? $charity_settings['typekit-id'] : '';
	$typekit_elements_list_1 = isset($charity_settings['typekit-element-names']) ? $charity_settings['typekit-element-names'] : '';
	$typekit_font_family_1 = isset($charity_settings['typekit-font-family']) ? $charity_settings['typekit-font-family'] : '';

	if ($typekit_id != '' && $typekit_elements_list_1 != '' && $typekit_font_family_1 != '') {
		if (is_array($typekit_elements_list_1)) {
			$typekit_elements_list_1 = implode(', ', $typekit_elements_list_1);
		} else {
			$typekit_elements_list_1 = $typekit_elements_list_1;
		}
		$typekit_fonts_1 = $typekit_elements_list_1 . ' {font-family: "' . $typekit_font_family_1 . '"}';

	}

###########################################
# Structure
###########################################

// Sidebar Width deducted from content width percentage

	$sidebar_width = 100 - $charity_settings['content-width'];

	$boxed_layout_width = $charity_settings['grid-width']+60;
	
	$output .= "
.charity-grid,
.charity-inner-grid
{
	max-width: {$charity_settings['grid-width']}px;
}

.theme-page-wrapper.right-layout .theme-content, .theme-page-wrapper.left-layout .theme-content
{
	width: {$charity_settings['content-width']}%;
}

.theme-page-wrapper #charity-sidebar.charity-builtin{
	width: {$sidebar_width}%;
}



.charity-boxed-enabled,
.charity-boxed-enabled #charity-header.sticky-header,
.charity-boxed-enabled #charity-header.transparent-header-sticky,
.charity-boxed-enabled .charity-secondary-header
{
	max-width: {$boxed_layout_width}px;

}

@media handheld, only screen and (max-width: {$charity_settings['grid-width']}px)
{

#sub-footer .item-holder
{
	margin:0 20px;
}

}

";

###########################################
# Backgrounds
###########################################

/**
 * Body background
 */
	$body_bg = $charity_settings['body-bg']['color'] ? 'background-color:' . $charity_settings['body-bg']['color'] . ';' : '';
	$body_bg .= $charity_settings['body-bg']['url'] ? 'background-image:url(' . $charity_settings['body-bg']['url'] . ');' : ' ';
	$body_bg .= $charity_settings['body-bg']['position'] ? 'background-position:' . $charity_settings['body-bg']['position'] . ';' : '';
	$body_bg .= $charity_settings['body-bg']['attachment'] ? 'background-attachment:' . $charity_settings['body-bg']['attachment'] . ';' : '';
	$body_bg .= $charity_settings['body-bg']['repeat'] ? 'background-repeat:' . $charity_settings['body-bg']['repeat'] . ';' : '';
	$body_bg .= (isset($charity_settings['body-bg']['cover']) && $charity_settings['body-bg']['cover'] == 1) ? 'background-size: cover;background-repeat: no-repeat;-moz-background-size: cover;-webkit-background-size: cover;-o-background-size: cover;' : '';

/**
 * Header background
 */
	$header_bg_color = $charity_settings['header-bg']['color'] ? 'background-color:' . $charity_settings['header-bg']['color'] . ';' : '';
	$header_bg = $charity_settings['header-bg']['color'] ? 'background-color:' . $charity_settings['header-bg']['color'] . ';' : '';
	$header_bg .= $charity_settings['header-bg']['url'] ? 'background-image:url(' . $charity_settings['header-bg']['url'] . ');' : ' ';
	$header_bg .= $charity_settings['header-bg']['position'] ? 'background-position:' . $charity_settings['header-bg']['position'] . ';' : '';
	$header_bg .= $charity_settings['header-bg']['attachment'] ? 'background-attachment:' . $charity_settings['header-bg']['attachment'] . ';' : '';
	$header_bg .= $charity_settings['header-bg']['repeat'] ? 'background-repeat:' . $charity_settings['header-bg']['repeat'] . ';' : '';
	$header_bg .= (isset($charity_settings['header-bg']['cover']) && $charity_settings['header-bg']['cover'] == 1) ? 'background-size: cover;background-repeat: no-repeat;-moz-background-size: cover;-webkit-background-size: cover;-o-background-size: cover;' : '';

/**
 * Header toolbar background
 */
	$toolbar_bg = $charity_settings['toolbar-bg']['color'] ? 'background-color:' . $charity_settings['toolbar-bg']['color'] . ';' : '';
	$toolbar_bg .= $charity_settings['toolbar-bg']['url'] ? 'background-image:url(' . $charity_settings['toolbar-bg']['url'] . ');' : ' ';
	$toolbar_bg .= $charity_settings['toolbar-bg']['position'] ? 'background-position:' . $charity_settings['toolbar-bg']['position'] . ';' : '';
	$toolbar_bg .= $charity_settings['toolbar-bg']['attachment'] ? 'background-attachment:' . $charity_settings['toolbar-bg']['attachment'] . ';' : '';
	$toolbar_bg .= $charity_settings['toolbar-bg']['repeat'] ? 'background-repeat:' . $charity_settings['toolbar-bg']['repeat'] . ';' : '';
	$toolbar_bg .= (isset($charity_settings['toolbar-bg']['cover']) && $charity_settings['toolbar-bg']['cover'] == 1) ? 'background-size: cover;background-repeat: no-repeat;-moz-background-size: cover;-webkit-background-size: cover;-o-background-size: cover;' : '';

/**
 * Page Title background
 */
	$page_title_bg = $charity_settings['page-title-bg']['color'] ? 'background-color:' . $charity_settings['page-title-bg']['color'] . ';' : '';
	$page_title_bg .= $charity_settings['page-title-bg']['url'] ? 'background-image:url(' . $charity_settings['page-title-bg']['url'] . ');' : ' ';
	$page_title_bg .= $charity_settings['page-title-bg']['position'] ? 'background-position:' . $charity_settings['page-title-bg']['position'] . ';' : '';
	$page_title_bg .= $charity_settings['page-title-bg']['attachment'] ? 'background-attachment:' . $charity_settings['page-title-bg']['attachment'] . ';' : '';
	$page_title_bg .= $charity_settings['page-title-bg']['repeat'] ? 'background-repeat:' . $charity_settings['page-title-bg']['repeat'] . ';' : '';
	$page_title_bg .= (isset($charity_settings['page-title-bg']['cover']) && $charity_settings['page-title-bg']['cover'] == 1) ? 'background-size: cover;background-repeat: no-repeat;-moz-background-size: cover;-webkit-background-size: cover;-o-background-size: cover;' : '';
	$page_title_bg .= $charity_settings['page-title-bg']['border'] ? 'border-bottom:1px solid ' . $charity_settings['page-title-bg']['border'] . ';' : '';

/**
 * Page background
 */
	$page_bg = $charity_settings['page-bg']['color'] ? 'background-color:' . $charity_settings['page-bg']['color'] . ';' : '';
	$page_bg .= $charity_settings['page-bg']['url'] ? 'background-image:url(' . $charity_settings['page-bg']['url'] . ');' : ' ';
	$page_bg .= $charity_settings['page-bg']['position'] ? 'background-position:' . $charity_settings['page-bg']['position'] . ';' : '';
	$page_bg .= $charity_settings['page-bg']['attachment'] ? 'background-attachment:' . $charity_settings['page-bg']['attachment'] . ';' : '';
	$page_bg .= $charity_settings['page-bg']['repeat'] ? 'background-repeat:' . $charity_settings['page-bg']['repeat'] . ';' : '';
	$page_bg .= (isset($charity_settings['page-bg']['cover']) && $charity_settings['page-bg']['cover'] == 1) ? 'background-size: cover;background-repeat: no-repeat;-moz-background-size: cover;-webkit-background-size: cover;-o-background-size: cover;' : '';

/**
 * Footer background
 */
	$footer_bg = $charity_settings['footer-bg']['color'] ? 'background-color:' . $charity_settings['footer-bg']['color'] . ';' : '';
	$footer_bg .= $charity_settings['footer-bg']['url'] ? 'background-image:url(' . $charity_settings['footer-bg']['url'] . ');' : ' ';
	$footer_bg .= $charity_settings['footer-bg']['position'] ? 'background-position:' . $charity_settings['footer-bg']['position'] . ';' : '';
	$footer_bg .= $charity_settings['footer-bg']['attachment'] ? 'background-attachment:' . $charity_settings['footer-bg']['attachment'] . ';' : '';
	$footer_bg .= $charity_settings['footer-bg']['repeat'] ? 'background-repeat:' . $charity_settings['footer-bg']['repeat'] . ';' : '';
	$footer_bg .= (isset($charity_settings['footer-bg']['cover']) && $charity_settings['footer-bg']['cover'] == 1) ? 'background-size: cover;background-repeat: no-repeat;-moz-background-size: cover;-webkit-background-size: cover;-o-background-size: cover;' : '';

	$page_title_color = $charity_settings['page-title-color'];
	$page_title_size = $charity_settings['page-title-size'];
	
	$page_title_weight = '';
	$page_title_letter_spacing = '';

	if (global_get_post_id()) {


		$post_id = global_get_post_id();

		$intro = get_post_meta($post_id, '_page_title_intro', true);

		
		if($intro != 'none') {
			$attach = 'background-attachment: scroll;';
		}

		$enable = get_post_meta($post_id, '_custom_bg', true);

		if ($enable == 'true') {
			$body_bg = get_post_meta($post_id, 'body_color', true) ? 'background-color: ' . get_post_meta($post_id, 'body_color', true) . ';' : '';
			$body_bg .= get_post_meta($post_id, 'body_image', true) ? 'background-image:url(' . get_post_meta($post_id, 'body_image', true) . ');' : '';
			$body_bg .= get_post_meta($post_id, 'body_repeat', true) ? 'background-repeat:' . get_post_meta($post_id, 'body_repeat', true) . ';' : '';
			$body_bg .= get_post_meta($post_id, 'body_position', true) ? 'background-position:' . get_post_meta($post_id, 'body_position', true) . ';' : '';
			$body_bg .= get_post_meta($post_id, 'body_attachment', true) ? 'background-attachment:' . get_post_meta($post_id, 'body_attachment', true) . ';' : '';
			$body_bg .= (get_post_meta($post_id, 'body_cover', true) == 'true') ? 'background-size: cover;background-repeat: no-repeat;-moz-background-size: cover;-webkit-background-size: cover;-o-background-size: cover;' : '';

			$header_bg = get_post_meta($post_id, 'header_color', true) ? 'background-color: ' . get_post_meta($post_id, 'header_color', true) . ';' : '';
			$header_bg_color = get_post_meta($post_id, 'header_color', true) ? 'background-color: ' . get_post_meta($post_id, 'header_color', true) . ';' : '';
			$header_bg .= get_post_meta($post_id, 'header_image', true) ? 'background-image:url(' . get_post_meta($post_id, 'header_image', true) . ');' : '';
			$header_bg .= get_post_meta($post_id, 'header_repeat', true) ? 'background-repeat:' . get_post_meta($post_id, 'header_repeat', true) . ';' : '';
			$header_bg .= get_post_meta($post_id, 'header_position', true) ? 'background-position:' . get_post_meta($post_id, 'header_position', true) . ';' : '';
			$header_bg .= get_post_meta($post_id, 'header_attachment', true) ? 'background-attachment:' . get_post_meta($post_id, 'header_attachment', true) . ';' : '';
			$header_bg .= (get_post_meta($post_id, 'header_cover', true) == 'true') ? 'background-size: cover;background-repeat: no-repeat;-moz-background-size: cover;-webkit-background-size: cover;-o-background-size: cover;' : '';

			$page_title_bg = get_post_meta($post_id, 'banner_color', true) ? 'background-color: ' . get_post_meta($post_id, 'banner_color', true) . ';' : '';
			$page_title_bg .= get_post_meta($post_id, 'banner_image', true) ? 'background-image:url(' . get_post_meta($post_id, 'banner_image', true) . ');' : '';
			$page_title_bg .= get_post_meta($post_id, 'banner_repeat', true) ? 'background-repeat:' . get_post_meta($post_id, 'banner_repeat', true) . ';' : '';
			$page_title_bg .= get_post_meta($post_id, 'banner_position', true) ? 'background-position:' . get_post_meta($post_id, 'banner_position', true) . ';' : '';
			$page_title_bg .= get_post_meta($post_id, 'banner_attachment', true) ? 'background-attachment:' . get_post_meta($post_id, 'banner_attachment', true) . ';' : '';
			$page_title_bg .= (get_post_meta($post_id, 'banner_cover', true) == 'true') ? 'background-size: cover;background-repeat: no-repeat;-moz-background-size: cover;-webkit-background-size: cover;-o-background-size: cover;' : '';

			$page_bg = get_post_meta($post_id, 'page_color', true) ? 'background-color: ' . get_post_meta($post_id, 'page_color', true) . ' !important;' : '';
			$page_bg .= get_post_meta($post_id, 'page_image', true) ? 'background-image:url(' . get_post_meta($post_id, 'page_image', true) . ') !important;' : '';
			$page_bg .= get_post_meta($post_id, 'page_repeat', true) ? 'background-repeat:' . get_post_meta($post_id, 'page_repeat', true) . ' !important;' : '';
			$page_bg .= get_post_meta($post_id, 'page_position', true) ? 'background-position:' . get_post_meta($post_id, 'page_position', true) . ' !important;' : '';
			$page_bg .= get_post_meta($post_id, 'page_attachment', true) ? 'background-attachment:' . get_post_meta($post_id, 'page_attachment', true) . ' !important;' : '';
			$page_bg .= (get_post_meta($post_id, 'page_cover', true) == 'true') ? 'background-size: cover;background-repeat: no-repeat;-moz-background-size: cover;-webkit-background-size: cover;-o-background-size: cover;' : '';

			$footer_bg = get_post_meta($post_id, 'footer_color', true) ? 'background-color: ' . get_post_meta($post_id, 'footer_color', true) . ';' : '';
			$footer_bg .= get_post_meta($post_id, 'footer_image', true) ? 'background-image:url(' . get_post_meta($post_id, 'footer_image', true) . ');' : '';
			$footer_bg .= get_post_meta($post_id, 'footer_repeat', true) ? 'background-repeat:' . get_post_meta($post_id, 'footer_repeat', true) . ';' : '';
			$footer_bg .= get_post_meta($post_id, 'footer_position', true) ? 'background-position:' . get_post_meta($post_id, 'footer_position', true) . ';' : '';
			$footer_bg .= get_post_meta($post_id, 'footer_attachment', true) ? 'background-attachment:' . get_post_meta($post_id, 'footer_attachment', true) . ';' : '';
			$footer_bg .= (get_post_meta($post_id, 'footer_cover', true) == 'true') ? 'background-size: cover;background-repeat: no-repeat;-moz-background-size: cover;-webkit-background-size: cover;-o-background-size: cover;' : '';

			$page_title_color = get_post_meta($post_id, '_page_title_color', true) ? get_post_meta($post_id, '_page_title_color', true) : $charity_settings['page-title-color'];
			$page_title_weight = get_post_meta($post_id, '_page_title_weight', true) ? ('font-weight:' . get_post_meta($post_id, '_page_title_weight', true)) : '';
			$page_title_letter_spacing = get_post_meta($post_id, '_page_title_letter_spacing', true) ? ('letter-spacing:' . get_post_meta($post_id, '_page_title_letter_spacing', true) . 'px;') : '';

			$page_title_size = get_post_meta($post_id, '_page_title_size', true) ? get_post_meta($post_id, '_page_title_size', true) : $charity_settings['page-title-size'];
			$page_title_padding = get_post_meta($post_id, '_page_title_padding', true) ? get_post_meta($post_id, '_page_title_padding', true) : 40;
			
			$header_grid_margin = get_post_meta($post_id, 'header-grid-margin-top', true) ? get_post_meta($post_id, 'header-grid-margin-top', true) : $charity_settings['header-grid-margin-top'];
			$header_border_top = get_post_meta($post_id, 'header-border-top', true) ? get_post_meta($post_id, 'header-border-top', true) : $charity_settings['header-border-top'];
		}
		/*** custom breadcrumb coloring ***/
		$custom_breadcrumb_page = get_post_meta($post_id, '_breadcrumb_skin', true) ? 1 : 0;
		$custom_breadcrumb_color = get_post_meta($post_id, '_breadcrumb_custom_color', true) ? get_post_meta($post_id, '_breadcrumb_custom_color', true) : '';
		$custom_breadcrumb_hover_color = get_post_meta($post_id, '_breadcrumb_custom_hover_color', true) ? get_post_meta($post_id, '_breadcrumb_custom_hover_color', true) : '';

	}

	$header_bottom_border = (isset($charity_settings['header-bottom-border']) && !empty($charity_settings['header-bottom-border'])) ? ('border-bottom:1px solid' . $charity_settings['header-bottom-border'] . ';') : '';

	$output .= "body,
.theme-main-wrapper
{
{$body_bg}
}



";
$post_id = global_get_post_id();
$header_border_top = get_post_meta($post_id, 'header-border-top', true) ? get_post_meta($post_id, 'header-border-top', true) : $charity_settings['header-border-top'];
if (is_page() && $header_border_top == 'true') {
		
		$output .= "
		.theme-main-wrapper:not(.vertical-header) #charity-header,
		.theme-main-wrapper:not(.vertical-header) .charity-secondary-header
		{
			border-top:1px solid {$accent_color};
		}";
}
else if (isset($charity_settings['header-border-top']) && ($charity_settings['header-border-top'] == 1)) {
		
		$output .= "
		.theme-main-wrapper:not(.vertical-header) #charity-header,
		.theme-main-wrapper:not(.vertical-header) .charity-secondary-header
		{
			border-top:1px solid {$accent_color};
		}";
}

$output .= "#charity-header,
.charity-secondary-header
{
{$header_bg};
{$header_bg_color};
}
.donate-btn{display:inline-block;}
.donate-btn .donate-header-btn{
	min-width:120px;
	display:block;
	padding:8px 12px;
	font-weight:bold;
	text-transform:uppercase;
	color:#fff;
	border-radius:3px;
	background:{$accent_color};
}
.donate-btn .donate-header-btn:hover{
	opacity:0.9;
	color:#fff;
}
";

/***** side-dashboard setting move to line number 246 if required ****/
$output .= "
.charity-side-dashboard {
	background-color:{$charity_settings['dashboard-bg']};
}
.charity-side-dashboard .widgettitle,
.charity-side-dashboard .widgettitle a
{
	color: {$charity_settings['dashboard-title-color']};
}


.charity-side-dashboard,
.charity-side-dashboard p
{
	color: {$charity_settings['dashboard-txt-color']};
}

.charity-side-dashboard a
{
	color: {$charity_settings['dashboard-link-color']['regular']};
}

.charity-side-dashboard a:hover
{
	color: {$charity_settings['dashboard-link-color']['hover']};
}
.charity-side-dashboard .widget-title{
	color: {$charity_settings['dashboard-title-color']};
	Text-transform:uppercase;
}
";
/**
 * Header Toolbar font settings
 */
if($charity_settings['header-toolbar'] == 1){
 $logo_height = (!empty($charity_settings['logo']['height'])) ? $charity_settings['logo']['height'] : 50;
 $revslider_padding = $logo_height = (!empty($charity_settings['logo']['height'])) ? $charity_settings['logo']['height'] : 50;
}else{
	 $logo_height = (!empty($charity_settings['logo']['height'])) ? $charity_settings['logo']['height'] : 0;
	 $revslider_padding = $logo_height = (!empty($charity_settings['logo']['height'])) ? $charity_settings['logo']['height'] : 50;
}
 $page_title_padding = $logo_height+($charity_settings['header-padding'] * 2) + 50;
 $page_title_height = $page_title_padding+ 150;
  $page_title_height_responsive = $page_title_padding+ 0;
$toolbar_font = (isset($charity_settings['toolbar-font']['font-family']) && !empty($charity_settings['toolbar-font']['font-family'])) ? ('font-family:' . $charity_settings['toolbar-font']['font-family'] . ';') : '';
$toolbar_font .= (isset($charity_settings['toolbar-font']['font-weight']) && !empty($charity_settings['toolbar-font']['font-weight'])) ? ('font-weight:' . $charity_settings['toolbar-font']['font-weight'] . ';') : '';
$toolbar_font .= (isset($charity_settings['toolbar-font']['font-size']) && !empty($charity_settings['toolbar-font']['font-size'])) ? ('font-size:' . $charity_settings['toolbar-font']['font-size'] . ';') : '';

$output .= ".charity-header-toolbar
{
{$toolbar_bg};
{$toolbar_font};
}

.sticky-header-padding {
	{$header_bg_color}
}
.wpb_revslider_element{
	padding-top:{$revslider_padding}px;
}
#charity-header.transparent-header-sticky,
#charity-header.sticky-header {
{$header_bottom_border}}


.transparent-header.light-header-skin,
.transparent-header.dark-header-skin
 {
  border-top: none !important;
  
}

#charity-page-title .charity-page-title-bg {
{$page_title_bg};
{$attach}
}

#theme-page
{
{$page_bg}}

#charity-footer
{
{$footer_bg}
}
#sub-footer
{
	background-color: {$charity_settings['sub-footer-bg']};
}

#charity-page-title
{
	padding-top:{$page_title_padding}px;
	min-height:{$page_title_height}px;
}
@media handheld, only screen and (min-width: 768px) and (max-width: 1100px) {
	#charity-page-title
{
	padding-top:0;
	padding-bottom:45px;
	min-height:{$page_title_height_responsive}px;
	
}
#charity-page-title .charity-page-heading{
	padding-bottom:0px;
}
.wpb_revslider_element{
	padding-top:0;
}
}
@media handheld, only screen and (max-width: 767px) {
	#charity-page-title
{
	min-height:{$page_title_height_responsive}px;
}
#charity-page-title .charity-page-heading{
	padding-bottom:45px;
}
.wpb_revslider_element{
	padding-top:0;
}
.mg_text-barometer ul li {
    padding-left: 15px !important;
}
}

#charity-page-title .charity-page-heading{
	font-size:{$page_title_size}px;
	color:{$page_title_color};
	{$page_title_weight};
	{$page_title_letter_spacing};
	padding-top:45px !important;
}
#charity-breadcrumbs {
	line-height:{$page_title_size}px;
}
#wpadminbar {
  -webkit-backface-visibility: hidden;
  -moz-backface-visibility: hidden;
  -ms-backface-visibility: hidden;
  backface-visibility: hidden;
  -webkit-perspective: 1000;
  -moz-perspective: 1000;
  -ms-perspective: 1000;
  perspective: 1000;
  -webkit-transform: translateZ(0px);
  -moz-transform: translateZ(0px);
  -ms-transform: translateZ(0px);
  -o-transform: translateZ(0px);
  transform: translateZ(0px);
}
";
$title_structure = get_post_meta( $post_id, 'no-title', true );
$page_title_status = $charity_settings['page-title-pages'];
if($page_title_status == 0 ) {
	$output .= "
	.sticky-header-padding {
	
	
	padding-top:{$page_title_padding}px;
}
	
";
}
###########################################
	# Widgets
	###########################################

	$widget_font_family = (isset($charity_settings['widget-title']['font-family']) && !empty($charity_settings['widget-title']['font-family'])) ? ('font-family:' . $charity_settings['widget-title']['font-family'] . ';') : '';
	$widget_font_size = (isset($charity_settings['widget-title']['font-size']) && !empty($charity_settings['widget-title']['font-size'])) ? ('font-size:' . $charity_settings['widget-title']['font-size'] . ';') : '';
	$widget_font_weight = (isset($charity_settings['widget-title']['font-weight']) && !empty($charity_settings['widget-title']['font-weight'])) ? ('font-weight:' . $charity_settings['widget-title']['font-weight'] . ';') : '';
	$widget_title_divider = (isset($charity_settings['widget-title-divider']) && $charity_settings['widget-title-divider'] == 1) ? '' : 'display: none;'; 
	$footer_text = $charity_settings['sidebar-txt-color'];
	$text_color_10 = charity_convert_rgba($footer_text, 0.10);
	$output .= "
	.widgettitle,
	h3.widget-title
{
{$widget_font_family}
{$widget_font_size}
{$widget_font_weight}

}
.widgettitle,
h3.widget-title{
	line-height:1.6;
	color:{$charity_settings['sidebar-title-color']}
}
#charity-footer .widgettitle:before,
#charity-footer h3.widget-title:before
{
content:'';
width:3px;
height:29px;
margin-right:15px;
background:{$accent_color};
display:inline-block;
vertical-align:middle;

}
.widgettitle:after,
h3.widget-title:after{
	{$widget_title_divider}
}



#charity-sidebar .widgettitle,
#charity-sidebar .widgettitle a,
h3.widget-title,
{
	color: {$charity_settings['sidebar-title-color']};
}


#charity-sidebar,
#charity-sidebar p
{
	color: {$charity_settings['sidebar-txt-color']};
}

#charity-sidebar a
{
	color: {$charity_settings['sidebar-link-color']['regular']};
}

#charity-sidebar a:hover
{
	color: {$charity_settings['sidebar-link-color']['hover']};
}


#charity-footer .widgettitle,
#charity-footer h3.widget-title,
#charity-footer .widgettitle a
{
	color: {$charity_settings['footer-title-color']};
}

#charity-footer,
#charity-footer p
{
	color: {$charity_settings['footer-txt-color']};
}

#charity-footer a
{
	color: {$charity_settings['footer-link-color']['regular']};
}

#charity-footer a:hover
{
	color: {$charity_settings['footer-link-color']['hover']};
}

.charity-footer-copyright,
.charity-footer-copyright a {
	color: {$charity_settings['footer-socket-color']} !important;
}

.charity-footer-social a {
	color: {$charity_settings['footer-social-color']['regular']} !important;
}

.charity-footer-social a:hover {
	color: {$charity_settings['footer-social-color']['hover']}!important;
}
#charity-footer .widget_tag_cloud a,
#charity-footer .widget_product_tag_cloud a {
  border-color:{$charity_settings['footer-link-color']['regular']};
  
  
}
#charity-footer .widget_tag_cloud a:hover,
#charity-footer .widget_product_tag_cloud:hover a {
  border-color:{$charity_settings['accent-color']};
  background-color:{$charity_settings['accent-color']};
  
  
}
.widget_tag_cloud a,
.widget_product_tag_cloud a {
  border-color:{$charity_settings['sidebar-link-color']['regular']};
  
  
}
.widget_tag_cloud a:hover,
.widget_product_tag_cloud:hover a {
  border-color:{$charity_settings['accent-color']};
  background-color:{$charity_settings['accent-color']};
  
  
}
#charity-sidebar .widget_posts_lists ul li .post-list-meta data {
  background-color:{$charity_settings['accent-color']};
  color:#fff;
}
#charity-footer .widget_posts_lists ul li .post-list-meta data {
  border-color:{$charity_settings['accent-color']};
  color:#fff !important;
}
#charity-sidebar .widget_posts_lists ul li .post-list-title{
	color:{$charity_settings['heading-color']};
	
}
#charity-sidebar .widget_archive ul li a:before,
#charity-sidebar .widget_categories a:before{
	color:{$charity_settings['accent-color']};
	
}
#charity-sidebar .widget_archive ul li a:hover:before,
#charity-sidebar .widget_categories a:hover:before{
	color:#fff;
	background-color:{$charity_settings['accent-color']};
	
}
#charity-sidebar .widgettitle:after {
	background-color:{$charity_settings['accent-color']};
	
}
#charity-sidebar h5.tribe-event-title a{
	color:{$charity_settings['heading-color']};
}
#charity-sidebar .tribe-event-duration{
	background-color:{$charity_settings['accent-color']};	
}
#charity-sidebar .tribe-event-content:hover .tribe-event-duration{
	background-color:{$charity_settings['heading-color']};	
}
form button.migla_donate_now {background-color:{$charity_settings['accent-color']};}
#charity-footer .migla_circle_text{color: {$charity_settings['footer-title-color']};}
#charity-footer .mg_text-barometer {}
#charity-footer .mg_text-barometer ul{}
#charity-footer .mg_text-barometer ul li,
.mg_widgetPanel{border-bottom:1px solid !important;border-color:{$text_color_10} !important;}
.mg_text-barometer ul li{padding-left:50px;}
.mg_text-barometer ul li,
.mg_widgetPanel{margin-bottom:10px !important;padding-bottom:10px !important;}
#charity-footer .mg_text-barometer ul li:last-child,
#charity-footer .mg_widgetPanel:last-child,
#charity-footer .mg_top_donors_widget li:last-child{border-bottom:0 !important;}
#charity-footer .mg_text-barometer ul li span.mg_current,
#charity-footer .mg_text-barometer ul li span.mg_target,
#charity-footer .mg_text-barometer ul li span.mg_backers,
#charity-footer .mg_widgetName{color: {$charity_settings['footer-title-color']};}
ol.mg_top_donors_widget li {list-style:none !important;}
.mg_top_donors_widget li{border:none !important;}

";

###########################################
	# Typography & Coloring
	###########################################

	$body_font_backup = (isset($charity_settings['body-font']['font-backup']) && !empty($charity_settings['body-font']['font-backup'])) ? ('font-family:' . $charity_settings['body-font']['font-backup'] . ';') : '';
	$body_font_family = (isset($charity_settings['body-font']['font-family']) && !empty($charity_settings['body-font']['font-family'])) ? ('font-family:' . $charity_settings['body-font']['font-family'] . ';') : '';
	$heading_font_family = (isset($charity_settings['heading-font']['font-family']) && !empty($charity_settings['heading-font']['font-family'])) ? ('font-family:' . $charity_settings['heading-font']['font-family'] . ';') : '';
	$p_font_size = (isset($charity_settings['p-text-size']) && !empty($charity_settings['p-text-size'])) ? $charity_settings['p-text-size'] : $charity_settings['body-font']['font-size'];
	

	$output .= "body
{
	line-height: 20px;
{$body_font_backup}
{$body_font_family}
	font-size:{$charity_settings['body-font']['font-size']};
	color:{$charity_settings['body-txt-color']};
}

{$typekit_fonts_1}

p {
	font-size:{$p_font_size}px;
	color:{$charity_settings['body-txt-color']};
	line-height:{$charity_settings['p-line-height']}px;
}

a {
	color:{$charity_settings['link-color']['regular']};
}

a:hover {
	color:{$charity_settings['link-color']['hover']};
}
.cause-campaign .progress {box-shadow:none !important;margin-bottom:0 !important;border-radius:4px !important;height:12px !important;}
.progress {box-shadow:none !important;margin-bottom:0 !important;border-radius:4px;}
.progress-bar-text span{color:{$charity_settings['accent-color2']}}
.charity-causes .owl-item .mg-btn-grey:hover,
.charity-causes .owl-item .mg-btn-grey:focus,
.charity-causes .owl-item .mg-btn-grey:active,
.charity-causes .owl-item .cause-readmore a:hover,
.migla_donate_now:hover{
	border-color:{$charity_settings['button-bg-hover']} !important;
	background-color:{$charity_settings['button-bg-hover']} !important;
	color:{$charity_settings['button-color-hover']} !important;
	}
.cause-item-inner .mg-btn-grey {
	background-color:{$charity_settings['accent-color']} !important;
	color:{$charity_settings['button-color']} !important;
}
.outline-button{
	background-color:{$charity_settings['accent-color']} !important;
	}
.tweet-icon{
	border-color:{$charity_settings['accent-color']};
	color:{$charity_settings['accent-color']};
	
	}
.tweet-user,
.tweet-time{
	color:{$charity_settings['accent-color']};
	
	}
#theme-page .charity-custom-heading h4:hover{
	color:{$charity_settings['heading-color']};
	
}
.title-divider span{background:{$charity_settings['accent-color']};}
#theme-page h1,
#theme-page h2,
#theme-page h3,
#theme-page h4,
#theme-page h5,
#theme-page h6
{
	font-weight:{$charity_settings['heading-font']['font-weight']};
	color:{$charity_settings['heading-color']};
}
#theme-page h1:hover,
#theme-page h2:hover,
#theme-page h3:hover,
#theme-page h4:hover,
#theme-page h5:hover,
#theme-page h6:hover
{
	font-weight:{$charity_settings['heading-font']['font-weight']};
	
}
.blog-tile-entry .blog-entry-heading .blog-title a,
.blog-title a{
	color:{$charity_settings['heading-color']};
}

.blog-tile-entry .blog-entry-heading .blog-title a:hover,
.blog-title a:hover{
	color:{$charity_settings['accent-color2']};
}
.blog-readmore-btn a
{
	color:{$charity_settings['link-color']['regular']};
	
}
.blog-readmore-btn a:hover
{
	color:#333;
	border-color:{$charity_settings['accent-color']};
	background:{$charity_settings['accent-color']};
}
.woocommerce-page ul.products.classic-style li.product a,
.woocommerce ul.products.classic-style li.product a
 {
	color:{$charity_settings['heading-color']};
	
}
.woocommerce-page ul.products.classic-style li.product a:hover,
.woocommerce ul.products.classic-style li.product a:hover,
.woocommerce-page ul.products li.product .price ins,
.woocommerce ul.products li.product .price ins,
.woocommerce-page ul.products.classic-style li.product .add_to_cart_button:hover i,
.woocommerce ul.products.classic-style li.product .add_to_cart_button:hover i,
.woocommerce-page ul.products.classic-style li.product .charity-love-this:hover,
.woocommerce ul.products.classic-style li.product .charity-love-this:hover,
.woocommerce-page ul.products.classic-style li.product .charity-love-this,
.woocommerce ul.products.classic-style li.product .charity-love-this,
.woocommerce-page ul.products.classic-style li.product .charity-love-this.item-loved,
.woocommerce ul.products.classic-style li.product .charity-love-this.item-loved { 
	
	color:{$charity_settings['accent-color']};
	
}
.woocommerce-page nav.woocommerce-pagination ul li a, .woocommerce nav.woocommerce-pagination ul li a, .woocommerce-page #content nav.woocommerce-pagination ul li a, .woocommerce #content nav.woocommerce-pagination ul li a, .woocommerce-page nav.woocommerce-pagination ul li span, .woocommerce nav.woocommerce-pagination ul li span, .woocommerce-page #content nav.woocommerce-pagination ul li span, .woocommerce #content nav.woocommerce-pagination ul li span {
    border-color:{$charity_settings['accent-color']} !important;
	color:{$charity_settings['accent-color']} !important;
}
.woocommerce-page nav.woocommerce-pagination ul li a:hover,
.woocommerce nav.woocommerce-pagination ul li a:hover,
.woocommerce-page #content nav.woocommerce-pagination ul li a:hover,
.woocommerce #content nav.woocommerce-pagination ul li a:hover,
.woocommerce-page nav.woocommerce-pagination ul li span:hover,
.woocommerce nav.woocommerce-pagination ul li span:hover,
.woocommerce-page #content nav.woocommerce-pagination ul li span:hover,
.woocommerce #content nav.woocommerce-pagination ul li span:hover,
.woocommerce-page ul.products.classic-style li.product .add_to_cart_button:hover,
.woocommerce ul.products.classic-style li.product .add_to_cart_button:hover,
.woocommerce-page ul.products.classic-style li.product .add_to_cart_button:hover,
.woocommerce ul.products.classic-style li.product .add_to_cart_button:hover {
  background-color:{$charity_settings['button-bg-hover']} !important;
  color:{$charity_settings['button-color-hover']} !important;
  
}
.woocommerce-page nav.woocommerce-pagination ul li a,
.woocommerce nav.woocommerce-pagination ul li a,
.woocommerce-page #content nav.woocommerce-pagination ul li a,
.woocommerce #content nav.woocommerce-pagination ul li a,
.woocommerce-page nav.woocommerce-pagination ul li span,
.woocommerce nav.woocommerce-pagination ul li span,
.woocommerce-page #content nav.woocommerce-pagination ul li span,
.woocommerce #content nav.woocommerce-pagination ul li span,
.woocommerce-page ul.products.classic-style li.product .add_to_cart_button,
.woocommerce ul.products.classic-style li.product .add_to_cart_button,
.woocommerce-page ul.products.classic-style li.product .add_to_cart_button,
.woocommerce ul.products.classic-style li.product .add_to_cart_button {
  background-color:{$accent_color} !important;
  color:{$charity_settings['button-color']} !important;
  
}
.woocommerce-page nav.woocommerce-pagination ul li span.current,
.woocommerce nav.woocommerce-pagination ul li span.current,
.woocommerce-page #content nav.woocommerce-pagination ul li span.current,
.woocommerce #content nav.woocommerce-pagination ul li span.current {
  background-color:{$charity_settings['accent-color']} !important;
  color:#fff !important;
}
.progress div.progress-bar,
.progress div.progress-bar.bar{ 
	
	background-color:{$charity_settings['accent-color']} !important;
	height:12px !important;
	margin-top:-1px;
}
.event-right-content .event-title a{
	color:{$charity_settings['heading-color']};
	
}
.event-right-content .event-title a:hover,
.charity-event-wrap.thumb-style .event-right-content .event-vanue-meta i{
	color:{$charity_settings['accent-color2']};
	
}
.charity-event-date,
.charity-event-month{color:{$charity_settings['link-color']['regular']};}
.event-left-content{
	background:{$charity_settings['accent-color']};
	}
.tribe-event-readmore{
	color:{$charity_settings['button-color']};
	background-color:{$charity_settings['accent-color']};
}
.tribe-event-readmore:hover{
	color:{$charity_settings['button-color-hover']};
	background-color:{$charity_settings['button-bg-hover']} !important;
}
.charity-event-wrap.thumb-style .event-center-content{
	border-color:{$charity_settings['accent-color']};
	
}
.countdown_style_one .upcoming-event-wrap a,
.countdown_style_one .upcoming-event-wrap a:hover,
.countdown_style_three .upcoming-event-wrap a,
.countdown_style_three .upcoming-event-wrap a:hover,
.countdown_style_five .upcoming-event-wrap a,
.countdown_style_five .upcoming-event-wrap a:hover{
	color:#333 !important;
}
.countdown_style_one .upcoming-event-wrap h5 span:hover{
	color:#333 !important;
}
.countdown_style_five ul li .countdown-timer{
	
	
}
.owl-nav .owl-prev, .owl-nav .owl-next{
	color:{$charity_settings['accent-color']};
	
	}
.owl-nav .owl-prev:hover, .owl-nav .owl-next:hover{
	background:{$charity_settings['accent-color']};
	
	}

.countdown_style_five ul li .countdown-text{
	
	
}
.charity-portfolio-item .portfolio-permalink:hover,
.charity-portfolio-item .portfolio-plus-icon:hover {
	background-color:{$charity_settings['accent-color']};
	border-color:{$charity_settings['accent-color']};
	
}
.single-social-share li a,
.charity-next-prev .charity-next-prev-wrap a,
.single-post .form-submit #submit {
  background: {$charity_settings['accent-color']};
    color: {$charity_settings['button-color']};
	border-color:{$charity_settings['accent-color']};
}
.single-social-share li a:hover,
.charity-next-prev .charity-next-prev-wrap a:hover,
.single-post .form-submit #submit:hover {
  background: {$charity_settings['button-bg-hover']};
    color: {$charity_settings['button-color-hover']};
	border-color:{$charity_settings['button-bg-hover']};
}

h1, h2, h3, h4, h5, h6
{
{$heading_font_family}}

.form-submit #submit:hover {
   background: {$charity_settings['accent-color']};
    color: #333;
	border-color:{$charity_settings['accent-color']};
}
input,
button,
textarea {
{$body_font_family}}

";

###########################################
# Main Navigation
###########################################

	$nav_text_align = (isset($charity_settings['nav-alignment']) && !empty($charity_settings['nav-alignment'])) ? ('text-align:' . $charity_settings['nav-alignment'] . ';') : ('text-align:left;');

	$main_nav_font_family = (isset($charity_settings['main-nav-font']['font-family']) && !empty($charity_settings['main-nav-font']['font-family'])) ? ('font-family:' . $charity_settings['main-nav-font']['font-family'] . ';') : '';

	if($charity_settings['header-structure'] == 'vertical'){
		$main_nav_top_level_space = (isset($charity_settings['main-nav-item-space']) && !empty($charity_settings['main-nav-item-space']) && isset($charity_settings['vertical-nav-item-space']) && !empty($charity_settings['vertical-nav-item-space'])) ? ('padding:'. $charity_settings['vertical-nav-item-space'] . 'px ' . $charity_settings['main-nav-item-space'] . 'px;') : ('padding: 9px 15px;');
		$plus_for_submenu = $charity_settings['main-nav-item-space'] + 10;
		$main_nav_top_level_space_lr = (isset($charity_settings['main-nav-item-space'])) && !empty($charity_settings['main-nav-item-space']) ? ('padding: 0 '.$plus_for_submenu .'px ;') : ('padding: 0 15px;');

		$main_nav_top_level_space_bt = isset($charity_settings['vertical-nav-item-space']) && !empty($charity_settings['vertical-nav-item-space']) ? ('padding:'. $charity_settings['vertical-nav-item-space'] . 'px 0;') : ('padding: 9px 0;');

		
	}else{
		$main_nav_top_level_space = (isset($charity_settings['main-nav-item-space'])) && !empty($charity_settings['main-nav-item-space']) ? ('padding: 0 ' . $charity_settings['main-nav-item-space'] . 'px;') : ('padding: auto 17px;');
	}
	

	$main_nav_top_level_font_size = 'font-size:' . $charity_settings['main-nav-font']['font-size'] . ';';

	$main_nav_top_level_font_transform = (isset($charity_settings['main-nav-top-transform']) && !empty($charity_settings['main-nav-top-transform'])) ? ('text-transform: ' . $charity_settings['main-nav-top-transform'] . ';') : ('text-transform: uppercase;');

	$main_nav_top_level_font_weight = 'font-weight:' . $charity_settings['main-nav-font']['font-weight'] . ';';

	$main_nav_sub_level_font_size = (isset($charity_settings['sub-nav-top-size']) && !empty($charity_settings['sub-nav-top-size'])) ? ('font-size:' . $charity_settings['sub-nav-top-size'] . 'px;') : ('font-size:' . $charity_settings['main-nav-font']['font-size'] . 'px;');

	$main_nav_sub_level_font_transform = (isset($charity_settings['sub-nav-top-transform']) && !empty($charity_settings['sub-nav-top-transform'])) ? ('text-transform: ' . $charity_settings['sub-nav-top-transform'] . ';') : ('text-transform: uppercase;');
	
	$main_nav_sub_level_font_weight = (isset($charity_settings['sub-nav-top-weight']) && !empty($charity_settings['sub-nav-top-weight'])) ? ('font-weight:' . $charity_settings['sub-nav-top-weight'] . ';') : ('font-weight:' . $charity_settings['main-nav-font']['font-weight'] . ';');

	$logo_height = (!empty($charity_settings['logo']['height'])) ? $charity_settings['logo']['height'] : 50;
	$header_height = $logo_height +($charity_settings['header-padding'] * 2);
	if (isset($charity_settings['squeeze-sticky-header']) && ($charity_settings['squeeze-sticky-header'])) {
		$sticky_logo_height = round($logo_height / 1.2);
		$sticky_header_padding = round($charity_settings['header-padding'] / 2);
		$header_sticky_height = round($logo_height / 1.2 +(($charity_settings['header-padding'] / 2) * 2));
	} else {
		$sticky_logo_height = $logo_height;
		$sticky_header_padding = $charity_settings['header-padding'];
		$header_sticky_height = round($logo_height+(($charity_settings['header-padding']) * 1));
	}

	$header_vertical_width = (isset($charity_settings['header-vertical-width']) && !empty($charity_settings['header-vertical-width'])) ? $charity_settings['header-vertical-width'] : ('280');
	$header_vertical_padding = (isset($charity_settings['header-padding-vertical']) && !empty($charity_settings['header-padding-vertical'])) ? $charity_settings['header-padding-vertical'] : ('30'); 

	$vertical_nav_width = $header_vertical_width - ($header_vertical_padding * 2);

	# Header Toolbar
	if($charity_settings['header-toolbar'] == 1){
		$header_height_with_toolbar = $logo_height+($charity_settings['header-padding'] * 2) + 35;
	}else{
		$header_height_with_toolbar = $logo_height+($charity_settings['header-padding'] * 2);
	}
	$toolbar_border = isset($charity_settings['toolbar-border-top']) && ($charity_settings['toolbar-border-top'] == 1) ? '' : 'border:none;';

	$output .= "


.header-searchform-input input[type=text]{
	background-color:{$charity_settings['header-bg']['color']};
}

.theme-main-wrapper:not(.vertical-header) .sticky-header.sticky-header-padding {
	padding-top:50px;{//$header_height_with_toolbar}
}

.bottom-header-padding.none-sticky-header {
	padding-top:{$header_height}px;	
}

.bottom-header-padding.none-sticky-header {
	padding-top:{$header_height}px;	
}

.bottom-header-padding.sticky-header {
	padding-top:{$header_sticky_height}px;	
}


#charity-header:not(.header-structure-vertical) #charity-main-navigation > ul > li.menu-item,

#charity-header:not(.header-structure-vertical) .charity-header-search,
#charity-header:not(.header-structure-vertical) .charity-header-search a,
#charity-header:not(.header-structure-vertical) .charity-header-wpml-ls,
#charity-header:not(.header-structure-vertical) .charity-header-wpml-ls a,
#charity-header:not(.header-structure-vertical) .charity-cart-link,
#charity-header:not(.header-structure-vertical) .charity-responsive-cart-link,
#charity-header:not(.header-structure-vertical) .dashboard-trigger,
#charity-header:not(.header-structure-vertical) .responsive-nav-link,
#charity-header:not(.header-structure-vertical) .charity-header-social a,
#charity-header:not(.header-structure-vertical) .charity-margin-header-burger
{
	height:{$header_height}px;
	line-height:{$header_height}px;
}
#charity-header:not(.header-structure-vertical) #charity-main-navigation > ul > li.menu-item > a{
	border-radius: 20px;
    display: inline;
    padding-bottom: 10px;
    padding-top: 10px;
}
#charity-header:not(.header-structure-vertical).sticky-trigger-header #charity-main-navigation > ul > li.menu-item,
#charity-header:not(.header-structure-vertical).sticky-trigger-header #charity-main-navigation > ul > li.menu-item > a,
#charity-header:not(.header-structure-vertical).sticky-trigger-header .charity-header-search,
#charity-header:not(.header-structure-vertical).sticky-trigger-header .charity-header-search a,
#charity-header:not(.header-structure-vertical).sticky-trigger-header .charity-cart-link,
#charity-header:not(.header-structure-vertical).sticky-trigger-header .charity-responsive-cart-link,
#charity-header:not(.header-structure-vertical).sticky-trigger-header .dashboard-trigger,
#charity-header:not(.header-structure-vertical).sticky-trigger-header .responsive-nav-link,
#charity-header:not(.header-structure-vertical).sticky-trigger-header .charity-header-social a,
#charity-header:not(.header-structure-vertical).sticky-trigger-header .charity-margin-header-burger,
#charity-header:not(.header-structure-vertical).sticky-trigger-header .charity-header-wpml-ls,
#charity-header:not(.header-structure-vertical).sticky-trigger-header .charity-header-wpml-ls a
{
	height:{$header_sticky_height}px;
	line-height:{$header_sticky_height}px;
}";

	if (isset($charity_settings['squeeze-sticky-header']) && ($charity_settings['squeeze-sticky-header'])) {
		$output .= "
	#charity-header:not(.header-structure-vertical).sticky-trigger-header #charity-main-navigation > ul > li.menu-item > a {
		padding-left:15px;
		padding-right:15px;
	}
	";
	}

	$output .= ".charity-header-logo,
.charity-header-logo a{
	height:{$logo_height}px;
	line-height:{$logo_height}px;
}

#charity-header:not(.header-structure-vertical).sticky-trigger-header .charity-header-logo,
#charity-header:not(.header-structure-vertical).sticky-trigger-header .charity-header-logo a{
	height:{$sticky_logo_height}px;
	line-height:{$sticky_logo_height}px;
}

.vertical-expanded-state #charity-header.header-structure-vertical,
.vertical-condensed-state  #charity-header.header-structure-vertical:hover{
	width: {$header_vertical_width}px !important;
}

#charity-header.header-structure-vertical{
	padding-left: {$header_vertical_padding}px !important;
	padding-right: {$header_vertical_padding}px !important;
}

.vertical-condensed-state .charity-vertical-menu {
  width:{$vertical_nav_width}px;
}


.theme-main-wrapper.vertical-expanded-state #theme-page > .charity-main-wrapper-holder,
.theme-main-wrapper.vertical-expanded-state #theme-page > .charity-page-section,
.theme-main-wrapper.vertical-expanded-state #theme-page > .wpb_row,
.theme-main-wrapper.vertical-expanded-state #charity-page-title,
.theme-main-wrapper.vertical-expanded-state #charity-footer {
	padding-left: {$header_vertical_width}px;
}

@media handheld, only screen and (max-width:{$charity_settings['res-nav-width']}px) {
	.theme-main-wrapper.vertical-expanded-state #theme-page > .charity-main-wrapper-holder,
	.theme-main-wrapper.vertical-expanded-state #theme-page > .charity-page-section,
	.theme-main-wrapper.vertical-expanded-state #theme-page > .wpb_row,
	.theme-main-wrapper.vertical-expanded-state #charity-page-title,
	.theme-main-wrapper.vertical-expanded-state #charity-footer,
	.theme-main-wrapper.vertical-condensed-state #theme-page > .charity-main-wrapper-holder,
	.theme-main-wrapper.vertical-condensed-state #theme-page > .charity-page-section,
	.theme-main-wrapper.vertical-condensed-state #theme-page > .wpb_row,
	.theme-main-wrapper.vertical-condensed-state #charity-page-title,
	.theme-main-wrapper.vertical-condensed-state #charity-footer {
		padding-left: 0px;
	}
}

.theme-main-wrapper.vertical-header #charity-page-title,
.theme-main-wrapper.vertical-header #charity-footer,
.theme-main-wrapper.vertical-header #charity-header,
.theme-main-wrapper.vertical-header #charity-header.header-structure-vertical .charity-vertical-menu{
	box-sizing: border-box;
}


@media handheld, only screen and (min-width:{$charity_settings['res-nav-width']}px) {
	.vertical-condensed-state #charity-header.header-structure-vertical:hover ~ #theme-page > .charity-main-wrapper-holder,
	.vertical-condensed-state #charity-header.header-structure-vertical:hover ~ #theme-page > .charity-page-section,
	.vertical-condensed-state #charity-header.header-structure-vertical:hover ~ #theme-page > .wpb_row,
	.vertical-condensed-state #charity-header.header-structure-vertical:hover ~ #charity-page-title,
	.vertical-condensed-state #charity-header.header-structure-vertical:hover ~ #charity-footer {
		padding-left: {$header_vertical_width}px ;
	}
}

.charity-header-logo
 {
	margin-top: {$charity_settings['header-padding']}px;
	margin-bottom: {$charity_settings['header-padding']}px;
}


#charity-header:not(.header-structure-vertical).sticky-trigger-header .charity-header-logo,
#charity-header:not(.header-structure-vertical).sticky-trigger-header .charity-header-logo a
{
	margin-top:{$sticky_header_padding}px;
	margin-bottom: {$sticky_header_padding}px;
}


#charity-main-navigation > ul > li.menu-item > a {
	{$main_nav_top_level_space}
	{$main_nav_font_family}
	{$main_nav_top_level_font_size}
	{$main_nav_top_level_font_transform}
	{$main_nav_top_level_font_weight}
}

.charity-header-logo.charity-header-logo-center {
	{$main_nav_top_level_space}
}

.charity-vertical-menu > li.menu-item > a {
	{$main_nav_top_level_space}
	{$main_nav_font_family}
	{$main_nav_top_level_font_size}
	{$main_nav_top_level_font_transform}
	{$main_nav_top_level_font_weight}
}
";

	if ($charity_settings['header-structure'] == 'vertical') {
		$output .= "
	.header-structure-vertical .charity-vertical-menu > .menu-item > .sub-menu {
		{$main_nav_top_level_space_lr}
	}
	";
	}

	$output .= "


.charity-vertical-menu li.menu-item > a,
.charity-vertical-menu .charity-header-logo {
	{$nav_text_align} 
}

.main-navigation-ul > li ul.sub-menu li.menu-item a.menu-item-link{
	{$main_nav_sub_level_font_size}
	{$main_nav_sub_level_font_transform}
	{$main_nav_sub_level_font_weight}
}

.charity-vertical-menu > li ul.sub-menu li.menu-item a{
	{$main_nav_sub_level_font_size}
	{$main_nav_sub_level_font_transform}
	{$main_nav_sub_level_font_weight}
}

#charity-main-navigation > ul > li.menu-item > a,
.charity-vertical-menu li.menu-item > a
{
	color:{$charity_settings['main-nav-top-color']['regular']};
	background-color:{$charity_settings['main-nav-top-color']['bg']};
}

#charity-main-navigation > ul > li.current-menu-item > a,
#charity-main-navigation > ul > li.current-menu-ancestor > a,
#charity-main-navigation > ul > li.menu-item:hover > a
{
	color:{$charity_settings['main-nav-top-color']['hover']};
	background-color:{$charity_settings['main-nav-top-color']['bg-hover']};
}

.charity-vertical-menu > li.current-menu-item > a,
.charity-vertical-menu > li.current-menu-ancestor > a,
.charity-vertical-menu > li.menu-item:hover > a,
.charity-vertical-menu ul li.menu-item:hover > a {
	color:{$charity_settings['main-nav-top-color']['hover']};
}



#charity-main-navigation > ul > li.menu-item > a:hover
{
	color:{$charity_settings['main-nav-top-color']['hover']};
	background-color:{$charity_settings['main-nav-top-color']['bg-hover']};
}

.dashboard-trigger,
.res-nav-active,
.charity-header-social a,
.charity-responsive-cart-link {
	color:{$charity_settings['main-nav-top-color']['regular']};
}

.dashboard-trigger:hover,
.res-nav-active:hover {
	color:{$charity_settings['main-nav-top-color']['hover']};
}";

if (isset($charity_settings['navigation-border-top']) && ($charity_settings['navigation-border-top'] == 1)) {
		$output .= "
		#charity-main-navigation ul li.no-mega-menu > ul,
		#charity-main-navigation ul li.has-mega-menu > ul,
		#charity-main-navigation ul li.charity-header-wpml-ls > ul{
			border-top:3px solid {$accent_color};
		}";
}


$output .= "#charity-main-navigation ul li.no-mega-menu ul,
#charity-main-navigation > ul > li.has-mega-menu > ul,
.header-searchform-input .ui-autocomplete,
.charity-shopping-box,
.shopping-box-header > span,
#charity-main-navigation ul li.charity-header-wpml-ls > ul {
	background-color:{$charity_settings['main-nav-sub-bg']};
}

#charity-main-navigation ul ul.sub-menu a.menu-item-link,
#charity-main-navigation ul li.charity-header-wpml-ls > ul li a
{
	color:{$charity_settings['main-nav-sub-color']['regular']};
}

#charity-main-navigation ul ul li.current-menu-item > a.menu-item-link,
#charity-main-navigation ul ul li.current-menu-ancestor > a.menu-item-link {
	color:{$charity_settings['main-nav-sub-color']['hover']};
	background-color:{$charity_settings['main-nav-sub-color']['bg-active']} !important;
}


.header-searchform-input .ui-autocomplete .search-title,
.header-searchform-input .ui-autocomplete .search-date,
.header-searchform-input .ui-autocomplete i
{
	color:{$charity_settings['main-nav-sub-color']['regular']};
}
.header-searchform-input .ui-autocomplete i,
.header-searchform-input .ui-autocomplete img
{
	border-color:{$charity_settings['main-nav-sub-color']['regular']};
}

.header-searchform-input .ui-autocomplete li:hover  i,
.header-searchform-input .ui-autocomplete li:hover img
{
	border-color:{$charity_settings['main-nav-sub-color']['hover']};
}


#charity-main-navigation .megamenu-title,
.charity-mega-icon,
.charity-shopping-box .mini-cart-title,
.charity-shopping-box .mini-cart-button {
	color:{$charity_settings['main-nav-sub-color']['regular']};
}

#charity-main-navigation ul ul.sub-menu a.menu-item-link:hover,
.header-searchform-input .ui-autocomplete li:hover,
#charity-main-navigation ul li.charity-header-wpml-ls > ul li a:hover
{
	color:{$charity_settings['main-nav-sub-color']['hover']};
	background-color:{$charity_settings['main-nav-sub-color']['bg-hover']} !important;
}

.header-searchform-input .ui-autocomplete li:hover .search-title,
.header-searchform-input .ui-autocomplete li:hover .search-date,
.header-searchform-input .ui-autocomplete li:hover i,
#charity-main-navigation ul ul.sub-menu a.menu-item-link:hover i
{
	color:{$charity_settings['main-nav-sub-color']['hover']};
}


.header-searchform-input input[type=text],
.dashboard-trigger,
.header-search-icon,
.header-search-close,
.header-wpml-icon
{
	color:{$charity_settings['main-nav-top-color']['regular']};
}";

$header_search_icon_color = (isset($charity_settings['header-search-icon-color']) && !empty($charity_settings['header-search-icon-color'])) ? $charity_settings['header-search-icon-color'] : $charity_settings['main-nav-top-color']['regular'];

$output .="
.header-search-icon {
	color:{$header_search_icon_color};	
}

.charity-burger-icon div {
      background-color:{$charity_settings['main-nav-top-color']['regular']};
 }



.header-search-icon:hover
{
	color: {$charity_settings['main-nav-top-color']['regular']};
}


.responsive-nav-container, .responsive-shopping-box
{
	background-color:{$charity_settings['main-nav-sub-bg']};
}

.charity-responsive-nav a,
.charity-responsive-nav .has-mega-menu .megamenu-title
{
	color:{$charity_settings['main-nav-sub-color']['regular']};
	background-color:{$charity_settings['main-nav-sub-color']['bg']};
}

.charity-responsive-nav li a:hover
{
	color:{$charity_settings['main-nav-sub-color']['hover']};
	background-color:{$charity_settings['main-nav-sub-color']['bg-hover']};
}";

$header_border_bottom_color = (isset($charity_settings['toolbar-border-bottom-color']) && !empty($charity_settings['toolbar-border-bottom-color'])) ? $charity_settings['toolbar-border-bottom-color'] : 'transparent';
$header_phone_email_icon_color = (isset($charity_settings['toolbar-phone-email-icon-color']) && !empty($charity_settings['toolbar-phone-email-icon-color'])) ? $charity_settings['toolbar-phone-email-icon-color'] : $charity_settings['toolbar-text-color'];

$output .="
.charity-header-toolbar {
	{$toolbar_border}	
	
	border-color:{$header_border_bottom_color};
}
.charity-header-toolbar span {
	color:{$charity_settings['toolbar-text-color']};	
}

.charity-header-toolbar span i {
	color:{$header_phone_email_icon_color};	
}
.charity-header-toolbar span,
.charity-header-toolbar span a{
	color:{$charity_settings['toolbar-link-color']['hover']};
}
.header-toolbar-contact .toolbar-contact-pre{
	color:{$charity_settings['toolbar-link-color']['regular']};
}
.charity-header-toolbar a{
	color:{$charity_settings['toolbar-link-color']['regular']};	
}
.charity-header-toolbar a:hover{
	color:{$charity_settings['toolbar-link-color']['hover']};	
	
}

.charity-header-toolbar a{
	color:{$charity_settings['toolbar-link-color']['regular']};	
}
.charity-header-toolbar .charity-header-toolbar-social li a{
	color:{$charity_settings['toolbar-social-link-color']['regular']};	
}
.charity-header-toolbar .charity-header-toolbar-social li a:hover{
	background-color:{$charity_settings['toolbar-social-link-color']['hover']};
	color:#333;
}

";

###########################################
	# Responsive Mode
	###########################################

	$grid_width_100 = $charity_settings['grid-width']+100;

	$output .= "

@media handheld, only screen and (max-width: {$grid_width_100}px)
{

.dashboard-trigger.res-mode {
	display:block !important;
}

.dashboard-trigger.desktop-mode {
	display:none !important;
}

}



@media handheld, only screen and (max-width: {$charity_settings['res-nav-width']}px)
{

#charity-header.sticky-header,
.charity-secondary-header,
.transparent-header-sticky {
	position: relative !important;
	left:auto !important;
    right:auto!important;
    top:auto !important;
}

#charity-header:not(.header-structure-vertical).put-header-bottom,
#charity-header:not(.header-structure-vertical).put-header-bottom.sticky-trigger-header,
#charity-header:not(.header-structure-vertical).put-header-bottom.header-offset-passed,
.admin-bar #charity-header:not(.header-structure-vertical).put-header-bottom.sticky-trigger-header {
	position:relative;
	bottom:auto;
}

.charity-margin-header-burger {
	display:none;
}

.main-navigation-ul li.menu-item,
.charity-vertical-menu li.menu-item,
.main-navigation-ul li.sub-menu,
.sticky-header-padding,
.secondary-header-space
{
	display:none !important;
}

.vertical-expanded-state #charity-header.header-structure-vertical, .vertical-condensed-state #charity-header.header-structure-vertical{
	width: 100% !important;
	height: auto !important;
}
.vertical-condensed-state  #charity-header.header-structure-vertical:hover {
	width: 100% !important;
}
.header-structure-vertical .charity-vertical-menu{
	position:relative;
	padding:0;
	width: 100%;
}
.header-structure-vertical .charity-header-social.inside-grid{
	position:relative;
	padding:0;
	width: auto;
	bottom: inherit !important;
	height:{$header_height}px;
	line-height:{$header_height}px;
	float:right !important;
	top: 0 !important;
}
/*
.charity-header-logo, .charity-header-logo a {
	height:80px;
	line-height:80px;
}
#menu-main-navigation .charity-header-logo {
	margin-bottom:20px;
	
}
.charity-vertical-menu .responsive-nav-link {
	height:120px !important;
}
.charity-vertical-header-burger {
	display:none!important;
}

.header-structure-vertical .charity-header-social.inside-grid {
	height:120px;
	line-height:120px;
}
*/

.vertical-condensed-state .header-structure-vertical .charity-vertical-menu>li.charity-header-logo {
	-webkit-transform: translate(0,0);
	-moz-transform: translate(0,0);
	-ms-transform: translate(0,0);
	-o-transform: translate(0,0);
	opacity: 1!important;
	position: relative!important;
	left: 0!important;
}
.vertical-condensed-state .header-structure-vertical .charity-vertical-header-burger{
	opacity:0 !important;
}


.charity-header-logo {
	padding:0 !important;
}

.charity-vertical-menu .responsive-nav-link{
	float:left !important;
	height:{$header_height}px;
}
.charity-vertical-menu .responsive-nav-link i{
	height:{$header_height}px;
	line-height:{$header_height}px;
}
.charity-vertical-menu .charity-header-logo {
	float:left !important
}


.header-search-icon i,
.charity-cart-link i,
.charity-responsive-cart-link i
{
	padding:0 !important;
	margin:0 !important;
	border:none !important;
}

.header-search-icon,
.charity-cart-link,
.charity-responsive-cart-link
{
	margin:0 8px !important;
	padding:0 !important;
}


.charity-header-logo
{

	margin-left:20px !important;
	display:inline-block !important;
}


.main-navigation-ul
{
	text-align:center !important;
}

.responsive-nav-link {
	display:inline-block !important;
}

.charity-shopping-box {
	display:none !important;
}
.charity-shopping-cart{
	display:none !important;
}
.charity-responsive-shopping-cart{
	display: inline-block !important;
}

}


#charity-header.transparent-header {
  position: absolute;
  left: 0;
}

.charity-boxed-enabled #charity-header.transparent-header {
  left: inherit;
}

.add-corner-margin .charity-boxed-enabled #charity-header.transparent-header {
  left: 0;
}

.transparent-header {
  transition: all 0.3s ease-in-out;
  -webkit-transition: all 0.3s ease-in-out;
  -moz-transition: all 0.3s ease-in-out;
  -ms-transition: all 0.3s ease-in-out;
  -o-transition: all 0.3s ease-in-out;
}

.transparent-header.transparent-header-sticky {
  opacity: 1;
  left: auto !important;
}
.transparent-header #charity-main-navigation ul li .sub {
  border-top: none;
}
.transparent-header .charity-cart-link:hover,
.transparent-header .charity-responsive-cart-link:hover,
.transparent-header .dashboard-trigger:hover,
.transparent-header .res-nav-active:hover,
.transparent-header .header-search-icon:hover {
  opacity: 0.7;
}
.transparent-header .header-searchform-input input[type=text] {
  background-color: transparent;
}
.transparent-header.light-header-skin .dashboard-trigger,
.transparent-header.light-header-skin .dashboard-trigger:hover,
.transparent-header.light-header-skin .res-nav-active,
.transparent-header.light-header-skin #charity-main-navigation > ul > li.menu-item > a,
.transparent-header.light-header-skin #charity-main-navigation > ul > li.current-menu-item > a,
.transparent-header.light-header-skin #charity-main-navigation > ul > li.current-menu-ancestor > a,
.transparent-header.light-header-skin #charity-main-navigation > ul > li.menu-item:hover > a,
.transparent-header.light-header-skin #charity-main-navigation > ul > li.menu-item > a:hover,
.transparent-header.light-header-skin .res-nav-active:hover,
.transparent-header.light-header-skin .header-searchform-input input[type=text],
.transparent-header.light-header-skin .header-search-icon,
.transparent-header.light-header-skin .header-search-close,
.transparent-header.light-header-skin .header-search-icon:hover,
.transparent-header.light-header-skin .charity-cart-link,
.transparent-header.light-header-skin .charity-responsive-cart-link,
.transparent-header.light-header-skin .charity-header-social a,
.transparent-header.light-header-skin .charity-header-wpml-ls a{
  color: #fff !important;
}
.transparent-header.light-header-skin .charity-burger-icon div {
  background-color: #fff;
}
.transparent-header.light-header-skin .charity-light-logo {
  display: inline-block !important;
}
.transparent-header.light-header-skin .charity-dark-logo {
  
}
.transparent-header.light-header-skin.transparent-header-sticky .charity-light-logo {
  display: none !important;
}
.transparent-header.light-header-skin.transparent-header-sticky .charity-dark-logo {
  display: inline-block !important;
}
.transparent-header.dark-header-skin .dashboard-trigger,
.transparent-header.dark-header-skin .dashboard-trigger:hover,
.transparent-header.dark-header-skin .res-nav-active,
.transparent-header.dark-header-skin #charity-main-navigation > ul > li.menu-item > a,
.transparent-header.dark-header-skin #charity-main-navigation > ul > li.current-menu-item > a,
.transparent-header.dark-header-skin #charity-main-navigation > ul > li.current-menu-ancestor > a,
.transparent-header.dark-header-skin #charity-main-navigation > ul > li.menu-item:hover > a,
.transparent-header.dark-header-skin #charity-main-navigation > ul > li.menu-item > a:hover,
.transparent-header.dark-header-skin .res-nav-active:hover,
.transparent-header.dark-header-skin .header-searchform-input input[type=text],
.transparent-header.dark-header-skin .header-search-icon,
.transparent-header.dark-header-skin .header-search-close,
.transparent-header.dark-header-skin .header-search-icon:hover,
.transparent-header.dark-header-skin .charity-cart-link,
.transparent-header.dark-header-skin .charity-responsive-cart-link,
.transparent-header.dark-header-skin .charity-header-social a,
.transparent-header.dark-header-skin .charity-header-wpml-ls a {
  
}
.transparent-header.dark-header-skin .charity-burger-icon div {
  
}



";

	###########################################
	# Accent Color
	###########################################


	$output .= "
.charity-skin-color,
.blog-categories,
.rating-star .rated,
.widget_testimonials .testimonial-position,

.portfolio-similar-meta .cats,
.entry-meta .cats a,
.search-meta span a,
.search-meta span,
.single-share-trigger:hover,
.single-share-trigger.charity-toggle-active,
.project_content_section .project_cats a,
.charity-love-holder i:hover,
.blog-comments i:hover,
.comment-count i:hover,
.widget_posts_lists li .cats a,
.charity-causee-networks li a:hover,
.charity-tweet-shortcode span a,
.classic-hover .portfolio-permalink:hover i,
.charity-pricing-table .charity-icon-star,
.charity-process-steps.dark-skin .step-icon,
.charity-sharp-next,
.charity-sharp-prev,
.prev-item-caption,
.next-item-caption,
.charity-causes.column_rounded-style .team-member-position, 
.charity-causes.column-style .team-member-position,
.charity-event-countdown.accent-skin .countdown-timer,
.charity-event-countdown.accent-skin .countdown-text,
.charity-box-text:hover i,
.charity-process-steps.light-skin .charity-step:hover .step-icon,
.charity-process-steps.light-skin .active-step-item .step-icon,

.woocommerce-thanks-text
{
	color: {$accent_color};
}
.blog-thumb-entry .blog-thumb-content .blog-thumb-content-inner a.blog-readmore{
	background: {$accent_color} ;
	color:#fff;
}
.blog-thumb-entry .blog-thumb-content .blog-thumb-content-inner a.blog-readmore:hover{
	background: {$accent_color} ;
	color:#fff;
	opacity:0.9;
}
.charity-employeee-networks li a:hover {
	
}
.charity-testimonial.creative-style .slide{
	
	border-color: {$accent_color} !important;
}
.charity-testimonial.boxed-style .testimonial-content{
	border-bottom:2px solid {$accent_color} !important;
	
}
.charity-testimonial.modern-style .slide{
	border-top:2px solid {$accent_color} !important;
	
}
.charity-testimonial.modern-style .slide .author-details .testimonial-position,
.charity-testimonial.modern-style .slide .author-details .testimonial-company{
	color: {$accent_color} !important;
	
}
.charity-love-holder .item-loved i,
.widget_posts_lists .cats a,
.widget_social_networks a.light,
.widget_posts_tabs .cats a {
	color: {$accent_color} !important;
}

a:hover,
.charity-tweet-shortcode span a:hover {
	color:{$charity_settings['link-color']['hover']};
}
.charity-breadcrumbs-inner.custom-skin a,
.charity-breadcrumbs-inner.custom-skin{
	color:{$charity_settings['breadcrumb-skin-custom']['regular']};
}
.charity-breadcrumbs-inner.custom-skin a:hover,
.charity-breadcrumbs-inner.custom-skin:hover{
	color:{$charity_settings['breadcrumb-skin-custom']['hover']};
	opacity:1;
}

/* Main Skin Color : Background-color Property */
#wp-calendar td#today,
div.jp-play-bar,
.charity-header-button:hover,
.next-prev-top .go-to-top:hover,
.wide-eye-portfolio-item .portfolio-meta .the-title,
.charity-portfolio-carousel .portfolio-meta:before,
.meta-image.frame-grid-portfolio-item .portfolio-meta .the-title,
.masonry-border,
.author-social li a:hover,
.slideshow-swiper-arrows:hover,
.charity-clients-shortcode .clients-info,
.charity-contact-form-wrapper .charity-form-row i.input-focused,
.charity-login-form .form-row i.input-focused,
.comment-form-row i.input-focused,
.widget_social_networks a:hover,
.charity-social-network a:hover,
.blog-masonry-entry .post-type-icon:hover,
.list-posttype-col .post-type-icon:hover,
.single-type-icon,
.demo_store,
.add_to_cart_button:hover,
.charity-process-steps.dark-skin .charity-step:hover .step-icon,
.charity-process-steps.dark-skin .active-step-item .step-icon,
.charity-process-steps.light-skin .step-icon,
.charity-social-network a.light:hover,
.widget_tag_cloud a:hover,
.widget_categories a:hover,
.sharp-nav-bg,
.gform_wrapper .button:hover,
.charity-event-countdown.accent-skin li:before,
.masonry-border,
.charity-gallery.thumb-style .gallery-thumb-lightbox:hover,
.fancybox-close:hover,
.fancybox-nav span:hover,
.blog-scroller-arrows:hover,
ul.user-login li a i
{
	border-color: {$accent_color};
	color: {$accent_color};
}
.charity-isotop-filter ul li a.current,
.charity-isotop-filter ul li a:hover{
	color: {$accent_color2};
}
.charity-social-network ul li a:hover{
	border-color: {$accent_color} !important;
	background-color: {$accent_color} !important;
	color:#fff;
}


::-webkit-selection
{
	background-color: {$accent_color};
	color:#fff;
}

::-moz-selection
{
	background-color: {$accent_color};
	color:#fff;
}

::selection
{
	background-color: {$accent_color};
	color:#fff;
}

.next-prev-top .go-to-top,
.charity-contact-form-wrapper .text-input:focus, .charity-contact-form-wrapper .charity-textarea:focus,
.widget .charity-contact-form-wrapper .text-input:focus, .widget .charity-contact-form-wrapper .charity-textarea:focus,
.charity-contact-form-wrapper .charity-form-row i.input-focused,
.comment-form-row .text-input:focus, .comment-textarea textarea:focus,
.comment-form-row i.input-focused,
.charity-login-form .form-row i.input-focused,
.charity-login-form .form-row input:focus,
.charity-event-countdown.accent-skin li
{
	border-color: {$accent_color}!important;
}
.widget_contact_info ul li i{
	color: {$charity_settings['button-bg-hover']}!important;
}
";

if (isset($charity_settings['sub-footer-border-top']) && ($charity_settings['sub-footer-border-top'] == 1)) {
	$output .= "
	.footer-wrapper{
		border-bottom:1px solid rgba(255,255,255,0.08);
	}";
}
###########################################
	# Accent Color 2
	###########################################


	$output .= "

.charity-employees .team-member-position{
	color: {$accent_color2} !important;
}

";

###########################################
# MISC
###########################################

	$output .= "

.charity-divider .divider-inner i
{
	background-color: {$charity_settings['page-bg']['color']};
}

.charity-loader
{
	border: 2px solid {$accent_color};
}
.progress-bar.bar .bar-tip {
	color:{$accent_color};
	
}
.custom-color-heading{
	color:{$accent_color2};
	
}

.alt-title span,
.single-post-fancy-title span,
.portfolio-social-share,
.woocommerce-share ul
{
	
}

.charity-box-icon .charity-button-btn a.charity-button:hover {
	background-color:{$accent_color};
	border-color:{$accent_color};
}


.charity-commentlist li .comment-author, 
.ls-btn1:hover{
	color:{$accent_color} !important;
}
.ls-slide span{
	color:{$accent_color} !important;
}
.charity-commentlist li .comment-reply a:hover{
	background-color:{$accent_color} !important;
}
.cause-title a,
.cause-title a:hover{
	color:{$charity_settings['heading-color']};
	}
button.miglacheckout {
    background-color:{$accent_color} !important;
}
button.miglacheckout:hover {
    background-color:{$accent_color} !important;
	opacity:0.9;
}
.migla-panel-heading h2:hover {
    color:{$charity_settings['heading-color']};
}
.cause-campaign form button.migla_donate_now.mg-btn-grey,
.cause-readmore a {
	color:{$charity_settings['button-color']} !important;
	border-color:{$accent_color} !important;
	background:{$accent_color} !important;
	box-shadow:none !important;
}
.cause-campaign form button.migla_donate_now.mg-btn-grey:hover,
.cause-readmore a:hover {
	
	background:{$charity_settings['button-bg-hover']} !important;
	border-color:{$charity_settings['button-bg-hover']} !important;
	box-shadow:none !important;
	color:{$charity_settings['button-color-hover']} !important;
}
.charity-pagination .current-page,
.charity-pagination .page-number:hover,
.charity-pagination .current-page:hover {
    background-color:{$accent_color} !important;
	border-color:{$accent_color} !important;
	color:#333 !important;
}
.charity-pagination .page-number,
.charity-pagination .current-page {
  color:{$accent_color};
  border-color:{$accent_color};
}
.charity-pagination .charity-pagination-next a,
.charity-pagination .charity-pagination-previous a {
  color:{$accent_color};
  border-color:{$accent_color};
}
.charity-pagination .charity-pagination-next:hover a,
.charity-pagination .charity-pagination-previous:hover a {
  background-color:{$accent_color} !important;
	border-color:{$accent_color} !important;
	color:#333 !important;
}
.charity-loadmore-button:hover {
  background-color:{$accent_color} !important;
	color:#333 !important;
}
.charity-searchform .charity-icon-search:hover {
  background-color:{$accent_color} !important;
  color:#333;
}

.team-info-holder .team-member-name{
	{$heading_font_family};
	color:{$charity_settings['heading-color']}
	
}

.error-404-big-text h1 span{color:{$accent_color} !important;}

.inpage-circle-bar-wrap .inpage-circle-bar-title,
.inpage-recent-donations-wrap h3.mg-recent-donors-title{}
.inpage-circle-bar-wrap .inpage-circle-bar-title h4:before,
.inpage-recent-donations-wrap h3.mg-recent-donors-title:before{
	background-color:{$accent_color};
}
.inpage-recent-donations-wrap .mg_recent_donors_name{
	color:{$charity_settings['heading-color']}
}
";
$post_id = global_get_post_id();
$layout_template = $post_id ? get_post_meta($post_id, '_template', true ) : '';
$portfolio_hover_overlay_bg = charity_convert_rgba($accent_color, 0.90);
if($post_id && $layout_template = 'pagetitle-on') {
	$output .= " 
	body.page .theme-page-wrapper .theme-content{
    padding-top:70px;
	
}
body.page #theme-page .theme-page-wrapper .theme-content.no-padding {
    padding-top: 70px;
}

.standard-portfolio-item .portfolio-meta .the-title{
	{$heading_font_family};
	
}
.charity-portfolio-item.zoom-in-hover .featured-image .hover-overlay {
	background-color:{$portfolio_hover_overlay_bg} !important;
}


";
}
###########################################
# BREADCRUMB CUSTOM SKIN STYLES
###########################################

$breadcrumb_skin = (isset($charity_settings['breadcrumb-skin']) && !empty($charity_settings['breadcrumb-skin']) && $charity_settings['breadcrumb-skin'] == 'custom' ) ? 1 : 0;
$breadcrumb_custom_color_regular = (isset($charity_settings['breadcrumb-skin-custom']['regular']) && !empty($charity_settings['breadcrumb-skin-custom']['regular']) ) ? $charity_settings['breadcrumb-skin-custom']['regular'] : $custom_breadcrumb_color ;
$breadcrumb_custom_color_hover = (isset($charity_settings['breadcrumb-skin-custom']['hover']) && !empty($charity_settings['breadcrumb-skin-custom']['hover']) ) ? $charity_settings['breadcrumb-skin-custom']['hover'] : $custom_breadcrumb_hover_color ;

if($breadcrumb_skin == 1){

	if($custom_breadcrumb_page == 1){
		
		$output .= " #charity-breadcrumbs .custom-skin{
			color: {$breadcrumb_custom_color_regular} !important;
		}
		#charity-breadcrumbs .custom-skin a{
			color: {$breadcrumb_custom_color_regular} !important;
		}
		#charity-breadcrumbs .custom-skin a:hover{
			color: {$breadcrumb_custom_color_hover} !important;
		}

		";
	}

}



###########################################star-rating
	# WOOCOMMERCE DYNAMIC STYLES
	###########################################
	if (class_exists('woocommerce')) {

		$accent_color_90 = charity_convert_rgba($accent_color, 0.9);
		

		$output .= "



.woocommerce-page .quantity .plus,
.woocommerce-page .quantity .minus,
.product_meta a,
.sku_wrapper span,
.order-total,

.mini-cart-remove,
.add_to_cart_button .charity-icon-plus,
.add_to_cart_button .charity-theme-icon-magnifier
{
	color: {$accent_color};
}

.charity-checkout-payement h3,
.woocommerce-message .button:hover,
.woocommerce-error .button:hover,
.woocommerce-info .button:hover,
.woocommerce.widget_shopping_cart .amount,
.widget_product_categories .current-cat,
.widget_product_categories li a:hover
 {
	color:{$charity_settings['button-bg-hover']};
}

.add_to_cart_button:hover,
.woocommerce-page ul.products li.product .add_to_cart_button:hover,
.widget_price_filter .ui-slider .ui-slider-range,
.mini-cart-button:hover,
.widget_product_tag_cloud a:hover,
.product-single-lightbox:hover,
.woocommerce-page span.onfeatured,
.woocommerce .onfeatured,
.woocommerce-page .out-of-stock,
.woocommerce .out-of-stock,
.woocommerce-page span.onsale,
.woocommerce span.onsale{
	background-color: {$accent_color} !important;
	
}

.woocommerce-page span.onsale,
.woocommerce span.onsale{
	background-color: {$accent_color} !important;
	color: {$charity_settings['button-color']} !important;
}
.woocommerce-page .shop-thumb:hover span.onsale,
.woocommerce .shop-thumb:hover span.onsale{
	background-color: {$charity_settings['button-bg-hover']} !important;
	color: {$charity_settings['button-color-hover']}!important;
}
.product-loading-icon {
	background-color:{$accent_color_90};
}

.charity-cart-link {
	color:{$charity_settings['main-nav-top-color']['regular']};
}
.charity-cart-link:hover {
	color:{$charity_settings['main-nav-top-color']['regular']};
}
.charity-shopping-inner-box,
.charity-shopping-box {
    {$header_bg}
}
.mini-cart-remove,
.mini-cart-button {
	border-color: {$charity_settings['link-color']['regular']};
	color:{$charity_settings['link-color']['regular']};
}
.mini-cart-remove:hover,
.mini-cart-button:hover {
	border-color: {$charity_settings['accent-color']};
	color:#fff;
}
.quantity-number{color:#fff;}
.charity-dynamic-styles {display:none}
.mini-cart-price .amount,
.mini-cart-remove:hover {
  color: {$accent_color};
}
.woocommerce-page .quantity .plus,
.woocommerce .quantity .plus,
.woocommerce-page #content .quantity .plus,
.woocommerce #content .quantity .plus,
.woocommerce-page .quantity .minus,
.woocommerce .quantity .minus,
.woocommerce-page #content .quantity .minus,
.woocommerce #content .quantity .minus,
.woocommerce-page .quantity input.qty,
.woocommerce .quantity input.qty,
.woocommerce-page #content .quantity input.qty,
.woocommerce #content .quantity input.qty,
.woocommerce-page a.button.alt,
.woocommerce a.button.alt,
.woocommerce-page button.button.alt,
.woocommerce button.button.alt,
.woocommerce-page input.button.alt,
.woocommerce input.button.alt,
.woocommerce-page #respond input#submit.alt,
.woocommerce #respond input#submit.alt,
.woocommerce-page #content input.button.alt,
.woocommerce #content input.button.alt,
.woocommerce-page .single_add_to_cart_button i,
.woocommerce .single_add_to_cart_button i,
.woocommerce-page .single_add_to_cart_button, .woocommerce .single_add_to_cart_button{
   border-color: {$accent_color};
   color: {$accent_color};
}
.woocommerce-page .quantity .plus:hover,
.woocommerce .quantity .plus:hover,
.woocommerce-page #content .quantity .plus:hover,
.woocommerce #content .quantity .plus:hover,
.woocommerce-page .quantity .minus:hover,
.woocommerce .quantity .minus:hover,
.woocommerce-page #content .quantity .minus:hover,
.woocommerce #content .quantity .minus:hover,
.woocommerce-page .quantity input.qty:hover,
.woocommerce .quantity input.qty:hover,
.woocommerce-page #content .quantity input.qty:hover,
.woocommerce #content .quantity input.qty:hover,
.woocommerce-page a.button.alt:hover,
.woocommerce a.button.alt:hover,
.woocommerce-page button.button.alt:hover,
.woocommerce button.button.alt:hover,
.woocommerce-page input.button.alt:hover,
.woocommerce input.button.alt:hover,
.woocommerce-page #respond input#submit.alt:hover,
.woocommerce #respond input#submit.alt:hover,
.woocommerce-page #content input.button.alt:hover,
.woocommerce #content input.button.alt:hover,
.woocommerce-page .single_add_to_cart_button:hover, .woocommerce .single_add_to_cart_button:hover {
   border-color: {$charity_settings['button-bg-hover']};
   background-color:{$charity_settings['button-bg-hover']};
   color:{$charity_settings['button-color-hover']};
}
woocommerce-page .single_add_to_cart_button:hover i,
.woocommerce .single_add_to_cart_button:hover i{
   color:#fff !important;
}
.woocommerce-page div.product .woocommerce-tabs ul.tabs li.active a,
.woocommerce div.product .woocommerce-tabs ul.tabs li.active a,
.woocommerce-page #content div.product .woocommerce-tabs ul.tabs li.active a,
.woocommerce #content div.product .woocommerce-tabs ul.tabs li.active a,
.woocommerce-page div.product span.price ins,
.woocommerce div.product span.price ins,
.woocommerce-page #content div.product span.price ins,
.woocommerce #content div.product span.price ins,
.woocommerce-page div.product p.price ins,
.woocommerce div.product p.price ins,
.woocommerce-page #content div.product p.price ins,
.woocommerce #content div.product p.price ins{
  color: {$accent_color};
  
}
";

	}

	$output .= $charity_settings['custom-css'];

	$output = preg_replace('/\r|\n|\t/', '', $output);


	wp_enqueue_style('theme-dynamic-styles', get_template_directory_uri() . '/custom.css');

	wp_add_inline_style('theme-dynamic-styles', $output);

}
add_action('wp_enqueue_scripts', 'charity_dynamic_css', 10);


###########################################
# STYLES FOR VISUAL STUDIO IMPORTANT TAG
###########################################
function charity_important_dynamic_css(){
	$output = '';


	echo'
	<style>
		@media handheld, only screen and (max-width: 767px)
		{
			[class*="vc_custom_"]
			{
				padding-left: 0 !important;
				padding-right: 0 !important;
			}
			#charity-page-title {
				padding-top: 0px !important;
			}
		}
		@media screen and (max-width: 1024px) {
#charity-page-title {
    
}
#charity-page-title {
    
}
}

	</style>	
	
	';

	

}
add_action('wp_enqueue_scripts', 'charity_important_dynamic_css', 9999);
