<?php


$layout = get_post_meta( $post->ID, '_layout', true );

if(empty($layout)) {
	$layout = 'right';
	
}

$image_height = $charity_settings['blog-single-image-height'];
$image_width = charity_content_width($layout);

$padding = get_post_meta( $post->ID, '_padding', true );
$padding = ($padding == 'true') ? 'no-padding' : '';

$show_featured = get_post_meta( $post->ID, '_featured_image', true );
$show_featured = (isset($show_featured) && !empty($show_featured)) ? $show_featured  : 'true' ;

$show_meta = get_post_meta( $post->ID, '_meta', true );
$show_meta = (isset($show_meta) && !empty($show_meta)) ? $show_meta  : 'true' ;

function social_networks_meta() {
	$image_src_array = wp_get_attachment_image_src( get_post_thumbnail_id(), 'full', true );
	$output  = '<meta property="og:site_name" content="'.get_bloginfo('name').'"/>'. "\n";
	$output .= '<meta property="og:image" content="'.$image_src_array[ 0 ].'"/>'. "\n";
	$output .= '<meta property="og:url" content="'.get_permalink().'"/>'. "\n";
	$output .= '<meta property="og:title" content="'.get_the_title().'"/>'. "\n";
	$output .= '<meta property="og:description" content="'.get_the_excerpt().'"/>'. "\n";
	$output .= '<meta property="og:type" content="article"/>'. "\n";
	echo '<div>'.$output.'</div>';
}
add_action('wp_head', 'social_networks_meta');

get_header(); ?>

<div id="theme-page" class="charity-blog-single">
	<?php if ( have_posts() ) while ( have_posts() ) : the_post();
		$post_type = (get_post_format( get_the_id()) == '0' || get_post_format( get_the_id()) == '') ? 'image' : get_post_format( get_the_id());
		$image_src_array = wp_get_attachment_image_src( get_post_thumbnail_id(), 'full', true );
		if(isset($charity_settings['blog-image-crop']) && $charity_settings['blog-image-crop'] == 0) {
			$image_src = $image_src_array[ 0 ];
		} else {
			$image_src = bfi_thumb( $image_src_array[ 0 ], array('width' => $image_width, 'height' => $image_height, 'crop'=>true));
		}
	?>
	<div class="charity-main-wrapper-holder">
	<div class="theme-page-wrapper <?php echo esc_attr($layout); ?>-layout charity-grid vc_row-fluid <?php echo esc_attr($padding); ?>">
	<div class="theme-inner-wrapper">
			<div class="theme-content <?php echo esc_attr($padding); ?>" id="blog-entry-<?php the_ID(); ?>" <?php post_class(); ?> itemprop="mainContentOfPage">
			<div class="inner-content">
		<?php if($show_featured == 'true') :

			if(isset($charity_settings['blog-featured-image']) && $charity_settings['blog-featured-image'] == 1) {

			if($post_type == 'image' || $post_type == 'portfolio') { ?>

					<?php if(has_post_thumbnail()) : ?>
							<div class="featured-image">
								<a href="<?php echo esc_url($image_src_array[ 0 ]); ?>" class="charity-lightbox"><img alt="<?php the_title(); ?>" title="<?php the_title(); ?>" src="<?php echo charity_thumbnail_image_gen($image_src, $image_width, $image_height); ?>" height="<?php echo esc_attr($image_height); ?>" width="<?php echo esc_attr($image_width); ?>" itemprop="image" /></a>
							</div>
					<?php endif; ?>

			<?php } elseif($post_type == 'video') {
			
			} elseif($post_type == 'audio') {
				

		 	}else if($post_type == 'gallery') {
		 	}
	 	}?>
	 	<?php endif; ?>


 		<?php
 		if($show_meta == 'true') :
 		/* Meta section */ ?>
			<div class="entry-meta">
				<div class="item-holder">
					<time datetime="<?php the_time( 'F jS, Y' ) ?>" itemprop="datePublished" pubdate>
							<a href="<?php get_month_link( the_time( "Y" ), the_time( "m" ) ) ?>"><?php the_date() ?></a>
					</time>
					<div class="blog-categories"><?php the_category( ', ' ); ?></div>
					<a href="#comments" class="blog-comments"><span> <?php echo comments_number( '0 Comments', '1', '%'); ?></span></a>
					<span class="single-type-icon"><i class="charity-post-type-icon-<?php echo esc_attr($post_type); ?>"></i></span>
					<div class="clearboth"></div>
				</div>
			</div>
		<?php endif; ?>

		<div class="single-content">
			<?php the_content(); ?>
		</div>

		<div class="clearboth"></div>
</div>
<div class="inner-content social-pre-next">
				<?php wp_link_pages('before=<div class="charity-page-links">&after=</div>'); ?>
				<nav class="charity-next-prev">
					<div class="charity-next-prev-wrap"><?php previous_post_link( '%link', esc_html__('Previous post', 'charity'));  ?></div>
					<div class="charity-next-prev-wrap"><?php next_post_link( '%link', esc_html__('Next post', 'charity')); ?> </div>
				   <div class="clearboth"></div>
				</nav>
				<?php if($charity_settings['blog-single-social-share']) : ?>
				<div class="single-social-share-wrap">
				<ul class="single-social-share">
					<li><a class="facebook-share" data-title="<?php the_title(); ?>" data-url="<?php echo get_permalink(); ?>" href="#"><i class="charity-icon-facebook"></i></a></li>
					<li><a class="twitter-share" data-title="<?php the_title(); ?>" data-url="<?php echo get_permalink(); ?>" href="#"><i class="charity-icon-twitter"></i></a></li>
					<li><a class="googleplus-share" data-title="<?php the_title(); ?>" data-url="<?php echo get_permalink(); ?>" href="#"><i class="charity-icon-google-plus"></i></a></li>
					<li><a class="linkedin-share" data-title="<?php the_title(); ?>" data-url="<?php echo get_permalink(); ?>" href="#"><i class="charity-icon-linkedin"></i></a></li>
					<?php $image_src_array = wp_get_attachment_image_src( get_post_thumbnail_id(), 'full', true ); ?>
					<li><a class="pinterest-share" data-image="<?php echo esc_url($image_src_array[0]); ?>" data-title="<?php the_title(); ?>" data-url="<?php echo get_permalink(); ?>" href="#"><i class="charity-icon-pinterest"></i></a></li>
				</ul>
				</div>
				<?php endif; ?>
			<div class="clearboth"></div>
		</div>
<?php /* About Author section */
$author_disc = the_author_meta('description');
			if($charity_settings['blog-single-about-author'] && !empty($author_disc)) :
		?>
<div class="inner-content">
		
		<div class="about-author-wrapper">
			<div class="item-holder">
				<?php $user = isset($GLOBALS['user']); ?>
				<div class="avatar-box"><?php  echo get_avatar( get_the_author_meta('email'), '150',false ,get_the_author_meta('display_name', $user['ID'])); ?></div>

				<div class="about-author-inner">
					<a class="author-name charity-skin-color" href="<?php echo get_author_posts_url(get_the_author_meta( 'ID' )); ?>"><?php the_author_meta('display_name'); ?></a>
					<div class="author-desc"><?php the_author_meta('description'); ?></div>
				</div>
			<div class="clearboth"></div>
			</div>
		</div>
		
<div class="clearboth"></div>
</div>
<?php endif; /* end of About Author section */ ?>
<?php
if($charity_settings['blog-single-comments']) { ?>
<div class="inner-content">
<?php comments_template( '', true ); ?>
<div class="clearboth"></div>
</div>
<?php } ?>

</div>
<?php endwhile; ?>


<?php  if($layout != 'full') get_sidebar();  ?>
<div class="clearboth"></div>

</div>
</div>
</div>
</div>
<?php get_footer(); ?>
